﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="viewteachercoursesum.aspx.cs" Inherits="Us.Web.admin.autocourse.viewteachercoursesum" %>


<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="webdiyer" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>教师课程统计</title>
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE8,chrome=1" /><link href="../style/default/style.css" rel="stylesheet" type="text/css" />
<%=ImportScriptStr %>

</head>
<body>
    <form id="Form1" method="post" runat="server">
    <div class="divTbg">
        <div class="divTbgL">
        </div>
        <div class="divTbgInfo">
            <div class="divTbgTitle">
                教师课程统计查询</div>
        </div>
    </div>
    <div class="divTbgF">
    </div>
    <div class="divSearchBoth">
        <div class="divInfo">
            <div class="divInfoblack">
                <div class="divInfoTopList">
                    <div class="listLeft">
                        <div class="navsearchtitle">
                            教师课程统计搜索</div>
                    </div>
                </div>
            </div>
        </div>
        <div class="divInfo">
            <div class="divSearch">
                <div id="searchBox" class="clearsearch">
                    <p>
                        <label for="drpSkyTID">
                            开课学期：</label>
                        <asp:DropDownList ID="drpSkyTID" runat="server">
                        </asp:DropDownList>
                    </p>
                    <p>
                        <label for="drpSkyDID">
                            隶属院系：</label>
                        <asp:DropDownList ID="drpSkyDID" runat="server" AutoPostBack="True" OnSelectedIndexChanged="drpSkyDID_SelectedIndexChanged">
                        </asp:DropDownList>
                    </p>
                    
                    <p>
                        <label for="drpUserID">
                            选择教师：</label>
                        <asp:DropDownList runat="server" ID="drpUserID" ToolTip="选择教师">
                            <asp:ListItem Text="请选择" Value=""></asp:ListItem>
                        </asp:DropDownList>
                    </p>
                    <p>
                        <label for="txtUserID">
                            教师名称：</label>
                        <asp:TextBox runat="server" ID="txtUserID"></asp:TextBox>
                    </p>
                    
                    
                    <p id="searchSubmit">
                        <asp:Button ID="btnSearch" runat="server" OnClick="btnSearch_Click" Text="确认搜索" CssClass="SkyButtonFocus" />
                    </p>
                </div>
            </div>
        </div>
    </div>
    <div class="divInfo">
        <div class="divInfoblack">
            <div class="divInfoTopList">
                <div class="listLeft">
                    <div class="navtitle">
                        教师课程统计列表</div>
                </div>
                <div class="listRight">
                    <ul>
                        <li class="navstyle1">
                            <input type="checkbox" name="chkselect" id="chkselect" onclick="skySelectCheckList();" />
                            <label for="chkselect">
                                全选</label>
                        </li>
                        <li class="navstyle2">
                            <asp:LinkButton ID="LnkBAdd" runat="server" OnClick="SkyLnkBAMD_Click" Enabled="false">添加</asp:LinkButton>
                        </li>
                        <li class="navstyle3">
                            <asp:LinkButton ID="LnkBEdit" runat="server" OnClick="SkyLnkBAMD_Click"  Enabled="false">编辑</asp:LinkButton>
                        </li>
                        <li class="navstyle4">
                            <asp:LinkButton ID="LnkBDelete" runat="server" OnClick="SkyLnkBAMD_Click"  Enabled="false">删除</asp:LinkButton>
                        </li>
                        <li class="navstyle5">
                            <asp:LinkButton ID="LnkBExcel" runat="server" OnClick="SkyLnkBAMD_Click">导出</asp:LinkButton>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <div class="divInfo">
        <div class="divInfoContext">
            <div id="printInfo">
                <asp:Repeater ID="rptInfo" runat="server">
                    <HeaderTemplate>
                        <table width="100%" border="0" cellpadding="0" cellspacing="1" class="tablist">
                            <tr class="tablisttitle">
                                <td>
                                    序号
                                </td>
                                <td>
                                    <%=cHTMLFx%>
                                </td>
                                <td align="center">
                                    开课院系
                                </td>
                                <td align="center">
                                    教师编号
                                </td>
                                <td align="center">
                                    开课教师
                                </td>
                                <td align="center">
                                    教师性别
                                </td>
                                <td align="center">
                                    开课节数
                                </td>
                                <td align="center">
                                    [详细]
                                </td>
   
                            </tr>
                    </HeaderTemplate>
                    <ItemTemplate>
                        <tr class="tablisttr">
                            <td>
                                <%#Eval("ID") %>
                            </td>
                            <td>
                                <asp:CheckBox runat="server" ID="chkselect" ToolTip='<%#Eval("ID") %>' />
                            </td>
                            
                            <td align="center">
                                <%#Eval("SkyDName")%>
                            </td>
                            <td align="center">
                                <%#Eval("UserID")%>
                            </td>
                            <td align="center">
                                <%#Eval("UserName")%>
                            </td>
                            <td align="center">
                                <%#Eval("SSexName")%>
                            </td>
                            <td align="center">
                               <%#Eval("ACount")%>
                            </td>
                            
                            <td align="center">
                            
                                <a class="rptlink" href="viewteachercourselist.aspx?id=<%#Eval("UserID")%>">[详细]</a>
                               
                            </td>
                           
              
                        </tr>
                    </ItemTemplate>
                    <FooterTemplate>
                        </table>
                    </FooterTemplate>
                </asp:Repeater>
            </div>
        </div>
    </div>
    <div class="divInfoColor">
         
                    <webdiyer:AspNetPager ID="Pager" runat="server" AlwaysShow="True" OnPageChanged="Pager_PageChanged"
                        ShowCustomInfoSection="Left" ShowPageIndexBox="Always" ShowPageIndex="False"
                        CustomInfoHTML="共 <B>%PageCount%</B> 页，当前为第 <B>%CurrentPageIndex%</B> 页，每页 <B>%PageSize%</B> 条"
                        SubmitButtonText="" FirstPageText="首页" LastPageText="尾页" LayoutType="Table" NextPageText="后一页"
                        PrevPageText="前一页" ShowMoreButtons="False" TextAfterPageIndexBox="页" TextBeforePageIndexBox="转到"
                        CustomInfoTextAlign="Left" HorizontalAlign="Right">
                    </webdiyer:AspNetPager>
              
    </div>
    <div class="divFootInfo">
    </div>
    </form>
</body>
</html>
