﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="classcourseheightlist.aspx.cs"
    Inherits="Us.Web.admin.course.classcourseheightlist" %>


<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="webdiyer" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>班级课程管理</title>
    <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE8,chrome=1" />

    <link href="../style/default/style.css" rel="stylesheet" type="text/css" />
    <%=ImportScriptStr %>

    <script language="javascript" type="text/javascript">
        //页面加载状态
        //2010-06-11
        $(document).ready(function () {
            chkState();
        });
        //查看成绩限制状态
        //2010-06-11
        function chkState() {
            $(":checkbox").click(function () {

                var chkid = $(this).attr("id");
                if (chkid == "checkSelect") {
                    return;
                }
                if (chkid == "chkSelect") {

                }
                chkid = chkid.replace("chkSelect", "chkIsEdit");
                $("#" + chkid).attr("checked", $(this).attr("checked"));
            });


        }
        function UsDeleteConfirm()
        {
            var info = "您确实要删除选中的课程吗？\n\n注意：1删除后数据无法恢复！\n2.已经录入成绩的课程是无法删除的！";
            return window.confirm(info);
        }
    </script>

    <link href="../style/default/style.css" rel="stylesheet" type="text/css" />
    <%=ImportScriptStr %>
</head>
<body>
    <form id="Form1" method="post" runat="server">
        
        
        
        <div class="divTbg">
            <div class="divTbgL">
            </div>
            <div class="divTbgInfo">
                <div class="divTbgTitle">
                    班级课程
                </div>
            </div>
        </div>
        <div class="divTbgF">
        </div>
        <div class="divSearchBoth">
            <div class="divInfo">
                <div class="divInfoblack">
                    <div class="divInfoTopList">
                        <div class="listLeft">
                            <div class="navsearchtitle">考试安排搜索</div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="divInfo">
                <div class="divSearch">
                    <div id="searchBox" class="clearsearch">
                        <p>
                            <label for="drpSkyTID">
                                开课学期：</label>
                            <asp:DropDownList ID="drpSkyTID" runat="server" AutoPostBack="True" OnSelectedIndexChanged="drpSkyTID_SelectedIndexChanged"
                                Enabled="false">
                            </asp:DropDownList>
                        </p>
                        <p>
                            <label for="drpSkyDID">
                                开课院系：</label><asp:DropDownList ID="drpSkyDID" runat="server" AutoPostBack="True"
                                    OnSelectedIndexChanged="drpSkyDID_SelectedIndexChanged">
                                </asp:DropDownList>
                        </p>
                        <p>
                            <label for="drpSkyPID">
                                开课专业：</label><asp:DropDownList ID="drpSkyPID" runat="server" AutoPostBack="True"
                                    OnSelectedIndexChanged="drpSkyPID_SelectedIndexChanged">
                                </asp:DropDownList>
                        </p>
                        <p>
                            <label for="drpSkyCID">
                                开课班级：</label>
                            <asp:DropDownList ID="drpSkyCID" runat="server" AutoPostBack="True" OnSelectedIndexChanged="drpSkyCID_SelectedIndexChanged">
                            </asp:DropDownList>
                        </p>
                        <p id="chklist">
                            <asp:CheckBox ID="chkTrue" runat="server" Text="已经开课" OnCheckedChanged="chkTrue_CheckedChanged"
                                Checked="True" Enabled="False" />
                        </p>
                        <p id="searchSubmit">
                            <asp:Button ID="btnSearch" runat="server" OnClick="btnSearch_Click" Text="确认搜索" CssClass="SkyButtonFocus" />
                        </p>
                    </div>
                </div>
            </div>
        </div>
        <div class="divInfo">
            <div class="divInfoblack">
                <div class="divInfoTopList">
                    <div class="listLeft">
                        <div class="navtitle">
                            <asp:Literal ID="litName" runat="server"></asp:Literal>课程列表
                        </div>
                    </div>
                    <div class="listRight">
                        <ul>
                            <li class="navstyle1">
                                <input type="checkbox" name="chkselect" id="chkselect" onclick="skySelectCheckList();" />
                                <label for="chkselect">全选</label>
                            </li>
                            <li class="navstyle2">
                                <asp:LinkButton ID="LnkBAdd" runat="server" OnClick="SkyLnkBAMD_Click" Enabled="false">添加</asp:LinkButton>
                            </li>
                            <li class="navstyle3">
                                <asp:LinkButton ID="LnkBEdit" runat="server" OnClick="SkyLnkBAMD_Click" Enabled="false">编辑</asp:LinkButton>
                            </li>
                            <li class="navstyle4">
                                <asp:LinkButton ID="LnkBDelete" runat="server" OnClick="SkyLnkBAMD_Click">删除</asp:LinkButton>
                            </li>
                            <li class="navstyle5">
                                <asp:LinkButton ID="LnkBExcel" runat="server" OnClick="SkyLnkBAMD_Click">导出</asp:LinkButton>
                            </li>
                            <li class="navstyle5">
                                <asp:LinkButton ID="LnkSave" runat="server" OnClick="SkyLnkBAMD_Click">保存</asp:LinkButton>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>

        <div class="divInfo">
            <div style="font: 2px; line-height: 2px;">
                &nbsp;
            </div>
            <asp:GridView ID="gvInfo" runat="server" AutoGenerateColumns="False" BorderStyle="None"
                CellPadding="0" CellSpacing="1" GridLines="None" Width="100%" CssClass="tablist"
                HorizontalAlign="Center" OnRowDataBound="gvInfo_RowDataBound">
                <RowStyle CssClass="tablisttr" HorizontalAlign="Center" />
                <HeaderStyle HorizontalAlign="Center" CssClass="tablisttitle"></HeaderStyle>
                <Columns>
                    <asp:BoundField DataField="id" HeaderText="序号">
                        <ItemStyle CssClass="itemStyle1" />
                    </asp:BoundField>
                                        <asp:TemplateField HeaderText="选择">
                        <ItemTemplate>
                            <asp:CheckBox ID="chkSelect" runat="server" ToolTip='<%# Bind("id")%>' 
                                Enabled='<%# Eval("acount").ToString()=="0"?true:false%>' />
                        </ItemTemplate>
                        <ItemStyle CssClass="itemStyle2" />
                    </asp:TemplateField>
                    <asp:BoundField DataField="CourseID" HeaderText="课程编号" />
                    <asp:TemplateField HeaderText="课程名称">
                        <ItemTemplate>
                            <asp:TextBox ID="txtCourseName" runat="server" CssClass="coursewidth" Text='<%# Bind("CourseName")%>' ToolTip='<%# Bind("SkyDepartCourseID")%>'></asp:TextBox>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField HeaderText="授课次数"  Visible="false">
                        <ItemTemplate>
                            <asp:TextBox ID="txtCourseSKTime" runat="server"  Width="40px" Text='<%# Bind("CourseSKTime")%>'></asp:TextBox>
                        </ItemTemplate>
                    </asp:TemplateField>


                    <asp:TemplateField HeaderText="成绩编辑">
                        <ItemTemplate>
                            <asp:CheckBox ID="chkIsEdit" runat="server" Text="可以" Checked='<%# Eval("IsEdit").ToString() == "0"?true:false%>' />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="审核情况">
                        <ItemTemplate>
                            <asp:CheckBox ID="chkIsCheck" runat="server" Text="已审" Checked='<%# Eval("IsCheck").ToString() == "1"?true:false%>' />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="课程类型">
                        <ItemTemplate>
                            <asp:HiddenField runat="server" ID="hidCState" Value='<%# Bind("CState")%>' />
                            <asp:DropDownList runat="server" ID="drpCState" Width="50px">
                                <asp:ListItem Text="主课" Value="0"></asp:ListItem>
                                <asp:ListItem Text="副课" Value="1"></asp:ListItem>
                            </asp:DropDownList>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="开课节数">
                        <ItemTemplate>
                            <asp:HiddenField runat="server" ID="hidFestival" Value='<%# Bind("Festival")%>' />
                            <asp:DropDownList runat="server" ID="drpFestival" Width="50px">
                                <asp:ListItem Text="1节" Value="1"></asp:ListItem>
                                <asp:ListItem Text="2节" Value="2"></asp:ListItem>
                                <asp:ListItem Text="3节" Value="3"></asp:ListItem>
                                <asp:ListItem Text="4节" Value="4"></asp:ListItem>
                                <asp:ListItem Text="5节" Value="5"></asp:ListItem>
                                <asp:ListItem Text="6节" Value="6"></asp:ListItem>
                                <asp:ListItem Text="7节" Value="7"></asp:ListItem>
                                <asp:ListItem Text="8节" Value="8"></asp:ListItem>
                                <asp:ListItem Text="9节" Value="9"></asp:ListItem>
                                <asp:ListItem Text="10节" Value="10"></asp:ListItem>
                                <asp:ListItem Text="11节" Value="11"></asp:ListItem>
                                <asp:ListItem Text="12节" Value="12"></asp:ListItem>
                                <asp:ListItem Text="13节" Value="13"></asp:ListItem>
                                <asp:ListItem Text="14节" Value="14"></asp:ListItem>
                                <asp:ListItem Text="15节" Value="15"></asp:ListItem>
                                <asp:ListItem Text="16节" Value="16"></asp:ListItem>
                                <asp:ListItem Text="17节" Value="17"></asp:ListItem>
                                <asp:ListItem Text="18节" Value="18"></asp:ListItem>
                                <asp:ListItem Text="19节" Value="19"></asp:ListItem>
                                <asp:ListItem Text="20节" Value="20"></asp:ListItem>
                            </asp:DropDownList>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="教师所属院系">
                        <ItemTemplate>
                            <asp:HiddenField runat="server" ID="hidSkyDIDUser" Value='<%# Bind("SkyDIDUser")%>' />
                            <asp:DropDownList runat="server" ID="drpSkyDIDUser" Width="100px" AutoPostBack="true"
                                OnSelectedIndexChanged="DropDownDepartment_SelectedIndexChanged">
                                <asp:ListItem Text="-请选择-" Value="-1"></asp:ListItem>
                            </asp:DropDownList>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="授课教师">
                        <ItemTemplate>
                            <asp:HiddenField runat="server" ID="hidUserID" Value='<%# Bind("UserID")%>' />
                            <asp:DropDownList runat="server" ID="drpUserID" Width="70px">
                                <asp:ListItem Text="-请选择-" Value="-1"></asp:ListItem>
                            </asp:DropDownList>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="开课校区">
                        <ItemTemplate>
                            <asp:HiddenField runat="server" ID="hidAID" Value='<%# Bind("AID")%>' />
                            <asp:DropDownList runat="server" ID="drpAID" Width="80px" AutoPostBack="true" OnSelectedIndexChanged="DropDownAID_SelectedIndexChanged">
                                <asp:ListItem Text="-请选择-" Value="-1"></asp:ListItem>
                            </asp:DropDownList>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="开课教室">
                        <ItemTemplate>
                            <asp:HiddenField runat="server" ID="hidRoomID" Value='<%# Bind("RoomID")%>' />
                            <asp:DropDownList runat="server" ID="drpRoomID" Width="80px">
                                <asp:ListItem Text="-请选择-" Value="-1"></asp:ListItem>
                            </asp:DropDownList>
                        </ItemTemplate>
                    </asp:TemplateField>


                    <%--   <asp:ButtonField HeaderText="修改" Text="[修改]" CommandName="modify">
                        <ItemStyle CssClass="itemStyle10" />
                    </asp:ButtonField>
                    <asp:ButtonField HeaderText="高级" Text="[高级]" CommandName="modify1" Visible="false">
                        <ItemStyle CssClass="itemStyle10" />
                    </asp:ButtonField>--%>
                    <asp:TemplateField HeaderText="操作">
                        <ItemTemplate>
                            <%#UsToolArtUrl("/admin/course/classcoursemanage.aspx" +"?id="+Eval("ID").ToString(), "[修改]",pDefault.sSize)%>
                            <%-- <%#UsToolArtUrl("/admin/course/classcourseweeklist.aspx" +"?cid="+Eval("ID").ToString(), "[高级]",pDefault.sSize)%>--%>
                        </ItemTemplate>
                    </asp:TemplateField>

                </Columns>
            </asp:GridView>
        </div>
        <div class="divInfoColor">
                        <webdiyer:AspNetPager ID="Pager" runat="server" AlwaysShow="True" OnPageChanged="Pager_PageChanged"
                            ShowCustomInfoSection="Left" ShowPageIndexBox="Always" ShowPageIndex="False"
                            CustomInfoHTML="共 <B>%PageCount%</B> 页，当前为第 <B>%CurrentPageIndex%</B> 页，每页 <B>%PageSize%</B> 条"
                            SubmitButtonText="" FirstPageText="首页" LastPageText="尾页" LayoutType="Table" NextPageText="后一页"
                            PrevPageText="前一页" ShowMoreButtons="False" TextAfterPageIndexBox="页" TextBeforePageIndexBox="转到"
                            CustomInfoTextAlign="Left" HorizontalAlign="Right">
                        </webdiyer:AspNetPager>
        </div>

        <div class="divSave">
            <asp:Button ID="btnSubmit" runat="server" Text="保存(S)" CssClass="SkyButtonFocus"
                Enabled="false" OnClick="btnSubmit_Click" AccessKey="S" CommandName="save"></asp:Button>
        </div>
        <div class="clear"></div>
        <div class="divInfo ">
            <a href="/admin/autocourse/v2courseclassweekmanage.aspx<% ="?id="+sShowID+"&name="+sShowName%>">1.[<font style="color: red">拖动排课</font>] ；需要您设置好开课节数和选择开课教师教室后才可以设置；</a>
            <br>
            <a href="/admin/autocourse/v2courseclassweekroommanage.aspx<% ="?id="+sShowID+"&name="+sShowName%>">2.[<font style="color: red">点击安排教室</font>]；需要您设置好课程的开课时间后才可以设置；</a>
        </div>
        <asp:Literal ID="LiteralScript" runat="server" EnableViewState="False"></asp:Literal>

    </form>
</body>
</html>
