﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="documentlist.aspx.cs" Inherits="Us.Web.admin.document.documentlist" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>文件列表</title>
    <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE8,chrome=1" />
    <link href="../style/default/style.css" rel="stylesheet" type="text/css" />
    <%=ImportScriptStr %>
    <style>
        .listimg {
            max-width: 100px;
            width: expression(this.width>100?"100px":this.width+"px");
            margin: 10px 0 8px 0;
            border: 1px solid #FFD151;
            overflow: hidden;
        }

        .divA2 {
            float: left;
            height: 30px;
            line-height: 30px;
            vertical-align: middle;
            text-align: left;
        }

            .divA2 p {
                height: 30px;
                margin-top: 5px;
                line-height: 30px;
            }

        .divA1 {
            float: left;
            margin-top: 5px;
            margin-right: 2px;
            margin-bottom: 2px;
            margin-left: 2px;
        }

            .divA1 img {
                width: 30px;
                height: 30px;
            }
    </style>
    <script type="text/javascript" language="javascript" src="js/0451skyMyDocument.js"></script>
    <script language="javascript" type="text/javascript">
        function AutoHeight() {
            var h = $(window).height() - 200;
            $("#ScroLeft").height(h);

        }
        $(window).resize(function () {
            // AutoHeight();
        });

        $(document).ready(function () {
            AutoHeight();
        });
        function GoReutrn(sPath) {
            var info = "确实要使用您选中的内容吗？";
            art.dialog.confirm(info, function () {
                //alert("1=" + sPath);
                art.dialog.data("retndata", sPath);
                parent.art.dialog.close();
            });
            return false;
        }
    </script>
    <script language="javascript"  type="text/javascript">
        function goBack() {
            window.location.reload();
        }
    </script>
</head>
<body>
    <form id="Form1" method="post" runat="server">
        <div id="tbMain0">
            <div class="divTbg">
                <div class="divTbgL"></div>
                <div class="divTbgInfo">
                    <div class="divTbgTitle">我的文档</div>
                </div>
            </div>
            <div class="divTbgF"></div>
            <div id="mypanel">
                <div id="ddiv1">
                    <div class="divInfoContext">
                        <div style="width: 100%;">
                              <table width="100%" border="0" align="center" cellpadding="3" cellspacing="1" class="tablist">
                                <tr class="tablisttr">
                                    <td width="100" align="center" valign="middle" class="tablisttitle">当前路径名称</td>
                                    <td align="left" valign="middle" class="tabmanagertr">
                                        <asp:TextBox ID="TxtPath" ReadOnly="true" runat="server" Width="300px" CssClass="textblur" onfocus="this.className='textfocus'"
                                            onblur="this.className='textblur'"></asp:TextBox>
                                    </td>
                                </tr>
                                <tr class="tablisttr">
                                    <td align="center" valign="middle" bgcolor="#ffffff" class="tablisttitle">建立子目录：</td>
                                    <td align="left" valign="middle" bgcolor="#ffffff" class="tabmanagertr">
                                        <asp:TextBox ID="TxtCreate" runat="server" ToolTip="建立子目录的名称，3-16个字母数字下划线组合，不区分大小写！" Width="200px"
                                            CssClass="textblur" onfocus="this.className='textfocus'" onblur="this.className='textblur'"></asp:TextBox>
                                        <asp:Button ID="BtnCreate" runat="server" Text="建立目录" class="SkyButtonFocus" OnClick="BtnCreate_Click"></asp:Button></td>
                                </tr>
                                <tr class="tablisttr">
                                    <td align="center" valign="middle" bgcolor="#ffffff" class="tablisttitle">其它相关操作</td>
                                    <td align="left" valign="middle" bgcolor="#ffffff" class="tabmanagertr">
                                        <asp:Button ID="btnUpload" runat="server" Text="文件上传" ToolTip="多文件上传" class="SkyButtonFocus" Visible="false" OnClick="btnUpload_Click"></asp:Button>
                                        <input type="button" value="文件上传" onclick="SkyOpenUploadMuti('TxtPath');"  class="SkyButtonFocus"/>
                                        <asp:Button ID="Btndel" runat="server" Text="删除目录" class="SkyButtonFocus" OnClick="Btndel_Click"></asp:Button>
                                        注意：以上所有操作都是针对当前目录进行的操作；
                  <asp:Button ID="BtnCamera" runat="server" Text="在线拍照" ToolTip="在线拍照"
                      class="SkyButtonFocus" OnClick="BtnCamera_Click"></asp:Button>
                                        <asp:TextBox ID="TxtFileType" runat="server" Width="120px" Visible="False"></asp:TextBox>
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </div>
                </div>
            </div>

        </div>


        <div class="divInfoContext">
            <div class="divInfoblack">
                <div class="divInfoTopList">
                    <div class="listLeft">
                        <div class="navtitle">
                            文件列表
                        </div>
                    </div>
                </div>
            </div>
        </div>





        <div class="divInfoContext">
            <div style="font: 2px; line-height: 2px;">&nbsp;</div>
            <div id="ScroLeft" style="height: 460px;  overflow: auto;" class="divAutoHeight">
                <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" BorderStyle="None"
                    CellPadding="0" CellSpacing="1" GridLines="None" Width="100%" CssClass="tablist" OnRowDataBound="GridView1_RowDataBound" OnRowCommand="GridView1_RowCommand" DataKeyNames="Fsrc">
                    <RowStyle CssClass="tablisttr" HorizontalAlign="Center" />
                    <HeaderStyle HorizontalAlign="Center" CssClass="tablisttitle"></HeaderStyle>
                    <Columns>
                        <asp:BoundField HeaderText="序号" />
                        <asp:BoundField DataField="FName" HeaderText="名称" HtmlEncode="False">
                            <ItemStyle HorizontalAlign="Left" />
                        </asp:BoundField>
                        <asp:BoundField DataField="FType" HeaderText="类型" />
                        <asp:BoundField DataField="FSize" HeaderText="大小" />
                        <asp:BoundField DataField="Fdate" HeaderText="时间" DataFormatString="{0:yyyy-MM-dd HH:mm:ss}" />
                        <asp:HyperLinkField DataNavigateUrlFields="Fsrc" DataNavigateUrlFormatString="{0}"
                            HeaderText="查看" Text="[查看]" Target="_blank" />
                        <asp:ButtonField HeaderText="更名" Text="[更名]" CommandName="ReName" />
                        <asp:ButtonField HeaderText="应用" Text="[应用]" CommandName="Used" />
                        <asp:ButtonField HeaderText="删除" Text="[删除]" CommandName="Dele" />
                    </Columns>
                </asp:GridView>
            </div>
            <div class="divAutoHeight">
                &nbsp;&nbsp;系统提示：<asp:Literal ID="Literalall" runat="server"></asp:Literal>
            </div>
        </div>

        <asp:Literal ID="Literal1" runat="server"></asp:Literal>
        <asp:Literal ID="LiteralCss" runat="server"></asp:Literal>

        <script language="javascript" type="text/javascript">
            function AutoHeight() {

                var h = $(window).height() - 215;
                $("#ScroLeft").height(h);

            }
            $(window).resize(function () {
                AutoHeight();
            });

            $(document).ready(function () {
                AutoHeight();
            });
        </script>
</form>
</body>
</html>
