﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="studentscoreprintfinish2015.aspx.cs" Inherits="Us.Web.admin.score.studentscoreprintfinish2015" %>


<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="webdiyer" %>
<%@ Register Src="studentscoreprint.ascx" TagName="studentscoreprint" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>毕业成绩单打印</title>
    <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE8,chrome=1" />

    <link href="../style/default/style.css" rel="stylesheet" type="text/css" />
    <%=ImportScriptStr %>
</head>
<body>
    <form id="Form1" method="post" runat="server">
        
        
        
        <div class="divTbg">
            <div class="divTbgL">
            </div>
            <div class="divTbgInfo">
                <div class="divTbgTitle">
                    毕业成绩单打印
                </div>
            </div>
        </div>
        <div class="divTbgF">
        </div>


        <div class="divSearchBoth">
            <div class="divInfo">
                <div class="divInfoblack">
                    <div class="divInfoTopList">
                        <div class="listLeft">
                            <div class="navsearchtitle">
                                毕业成绩单搜索
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="divInfo">
                <div class="divSearch">
                    <div id="searchBox" class="clearsearch">
                        <p>
                            <label for="drpSkyDID">
                                开课院系：</label>
                            <asp:DropDownList ID="drpSkyDID" runat="server" AutoPostBack="True" OnSelectedIndexChanged="drpSkyDID_SelectedIndexChanged">
                            </asp:DropDownList>
                        </p>
                        <p>
                            <label for="drpSkyPID">
                                开课专业：</label>
                            <asp:DropDownList ID="drpSkyPID" runat="server" AutoPostBack="True" OnSelectedIndexChanged="drpSkyPID_SelectedIndexChanged">
                            </asp:DropDownList>
                        </p>
                        <p>
                            <label for="drpSkyCID">
                                开课班级：</label><asp:DropDownList ID="drpSkyCID" runat="server" AutoPostBack="True"
                                    OnSelectedIndexChanged="drpSkyCID_SelectedIndexChanged">
                                </asp:DropDownList>
                        </p>
                        <p>
                            <label for="drpUserID">
                                选择学生：</label><asp:DropDownList ID="drpUserID" runat="server" AutoPostBack="True"
                                    OnSelectedIndexChanged="drpUserID_SelectedIndexChanged">
                                </asp:DropDownList>
                        </p>
                        <p>
                            <label for="drpSkyTID">
                                开课学期：</label>
                            <asp:DropDownList ID="drpSkyTID" runat="server" AutoPostBack="True" OnSelectedIndexChanged="drpSkyTID_SelectedIndexChanged">
                            </asp:DropDownList>
                        </p>
                        <p>
                            <label for="txtUserID">
                                学生学号：</label>
                            <asp:TextBox ID="txtUserID" runat="server" Text="0"></asp:TextBox>
                        </p>
                        <p>
                            <label for="drpType">
                                选择格式：</label>
                            <asp:DropDownList ID="drpType" runat="server">

                                <asp:ListItem Text="标准格式" Value="5"></asp:ListItem>

                            </asp:DropDownList>
                        </p>
                        <p>
                            <label for="txtRowNumber">记录行数：</label>
                            <asp:TextBox ID="txtRowNumber" runat="server" Text="25"></asp:TextBox>
                        </p>
                        <p id="searchSubmit">
                            <asp:Button ID="btnSearch" runat="server" CssClass="SkyButtonFocus" OnClick="btnSearch_Click"
                                Text="确认搜索" ToolTip="只能查询发布状态的成绩，如果成绩没有审核则录入了也不能查询到" />
                            <input type="button" id="btnPrint" onclick="SkyOpenRun_Code('printInfo');" value="查看打印"
                                class="SkyButtonFocus" />
                        </p>

                    </div>
                </div>
            </div>
        </div>

        <div class="divInfo divsquare">
            <asp:Button ID="btnExport" runat="server" CssClass="SkyButtonFocus" OnClick="btnExport_Click"
                Text="导出成绩单" />(按照班级进行批量的导出，请在学生选择页面选择院系，专业，班级后在导出页面上的效果只是为了演示用，真正打印的时候，请导出excel后直接打印)
        </div>

        <div class="divInfo">
            <div class="divInfoContext">
                <div id="printInfo">
                    <style type="text/css">
                        #scoreWInfo {
                            width: 800px;
                        }

                        .scoreNTable {
                            background-color: #000000;
                            margin-bottom: 2px;
                        }

                            .scoreNTable tr {
                                background-color: #FFFFFF;
                                height: 30px;
                            }

                        .sdivhr {
                            font-size: 14px;
                            line-height: 30px;
                            text-align: right;
                            text-indent: 10px;
                        }

                        .sdivtop {
                            font-size: 20px;
                            line-height: 40px;
                            text-align: center;
                        }

                        scoreNTable tr td {
                            font-size: 14px;
                            line-height: 25px;
                        }
                    </style>


                    <div id="scoreWInfo" runat="server">
                    </div>

                </div>

            </div>


        </div>

        <div class="divInfoColor">
             
                        <webdiyer:AspNetPager ID="Pager" runat="server" AlwaysShow="True" OnPageChanged="Pager_PageChanged"
                            ShowCustomInfoSection="Left" ShowPageIndexBox="Always" ShowPageIndex="False"
                            CustomInfoHTML="共 <B>%PageCount%</B> 页，当前为第 <B>%CurrentPageIndex%</B> 页，每页 <B>%PageSize%</B> 条"
                            SubmitButtonText="" FirstPageText="首页" LastPageText="尾页" LayoutType="Table" NextPageText="后一页"
                            PrevPageText="前一页" ShowMoreButtons="False" TextAfterPageIndexBox="页" TextBeforePageIndexBox="转到"
                            CustomInfoTextAlign="Left" HorizontalAlign="Right">
                        </webdiyer:AspNetPager>
                   
        </div>
        <asp:Literal ID="LiteralScript" runat="server" EnableViewState="False"></asp:Literal>

    </form>
</body>
</html>
