﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="userlist.aspx.cs" Inherits="Us.Web.admin.sysuser.userlist" %>


<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="webdiyer" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>用户管理</title>
    <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE8,chrome=1" />

    <link href="../style/default/style.css" rel="stylesheet" type="text/css" />
    <%=ImportScriptStr %>
</head>
<body>
    <form id="Form1" method="post" runat="server">
       
                <div class="divTbg">
                    <div class="divTbgL">
                    </div>
                    <div class="divTbgInfo">
                        <div class="divTbgTitle">
                            管理员用户管理
                        </div>
                    </div>
                </div>
                <div class="divTbgF">
                </div>
                <div class="divSearchBoth">
                    <div class="divInfo">
                        <div class="divInfoblack">
                            <div class="divInfoTopList">
                                <div class="listLeft">
                                    <div class="navsearchtitle">管理员用户搜索</div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="divInfo">
                        <div class="divSearch">
                            <div id="searchBox" class="clearsearch">
                                <p>
                                    <label for="txtID">
                                        学生编号：</label><asp:TextBox ID="txtID" runat="server"></asp:TextBox>
                                </p>
                                <p>
                                    <label for="txtID">
                                        用户名称：</label><asp:TextBox ID="txtName" runat="server"></asp:TextBox>
                                </p>

                                <p>
                                    <label for="drpUState2013">
                                        用户状态：</label><asp:DropDownList ID="drpUState2013" runat="server">
                                            <asp:ListItem Value="UState2013">codeselect</asp:ListItem>
                                        </asp:DropDownList>
                                </p>


                                <p id="searchSubmit">
                                    <asp:Button ID="btnSearch" runat="server" OnClick="btnSearch_Click" Text="确认搜索" CssClass="SkyButtonFocus" />
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="divInfo">
                    <div class="divInfoblack">
                        <div class="divInfoTopList">
                            <div class="listLeft">
                                <div class="navtitle">管理员用户列表</div>
                            </div>
                            <div class="listRight">
                                <ul>
                                    <li class="navstyle1">
                                        <input type="checkbox" name="chkselect" id="chkselect" onclick="skySelectCheckList();" />
                                        <label for="chkselect">全选</label>
                                    </li>
                                    <li class="navstyle2">
                                        <asp:LinkButton ID="LnkBAdd" runat="server" OnClick="SkyLnkBAMD_Click">添加</asp:LinkButton>
                                    </li>
                                    <li class="navstyle3">
                                        <asp:LinkButton ID="LnkBEdit" runat="server" OnClick="SkyLnkBAMD_Click" Enabled="false">编辑</asp:LinkButton>
                                    </li>
                                    <li class="navstyle4">
                                        <asp:LinkButton ID="LnkBDelete" runat="server" OnClick="SkyLnkBAMD_Click">删除</asp:LinkButton>
                                    </li>
                                    <li class="navstyle5">
                                        <asp:LinkButton ID="LnkBExcel" runat="server" OnClick="SkyLnkBAMD_Click">导出</asp:LinkButton>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="divInfo">
                    <div style="font: 2px; line-height: 2px;">
                        &nbsp;
                    </div>
                    <asp:GridView ID="gvInfo" runat="server" AutoGenerateColumns="False" BorderStyle="None"
                        CellPadding="0" CellSpacing="1" GridLines="None" Width="100%" CssClass="tablist"
                        HorizontalAlign="Center">
                        <RowStyle CssClass="tablisttr" HorizontalAlign="Center" />
                        <HeaderStyle HorizontalAlign="Center" CssClass="tablisttitle"></HeaderStyle>
                        <Columns>
                            <asp:BoundField DataField="id" HeaderText="序号">
                                <ItemStyle CssClass="itemStyle1" />
                            </asp:BoundField>
                            <asp:TemplateField HeaderText="选择">
                                <ItemTemplate>
                                    <asp:CheckBox ID="chkSelect" runat="server" ToolTip='<%# Bind("ID")%>' Enabled='<%# Eval("UserID").ToString() == "admin"?false:true%>' />
                                </ItemTemplate>
                                <ItemStyle CssClass="itemStyle2" />
                            </asp:TemplateField>
                            <asp:BoundField DataField="UserID" HeaderText="用户编号" />
                            <asp:BoundField DataField="UserName" HeaderText="用户名称" />
                            <asp:BoundField DataField="RoleName" HeaderText="用户角色" />
                            <asp:BoundField DataField="UTel" HeaderText="用户电话" />
                            <asp:BoundField DataField="UState2013Name" HeaderText="用户状态" />

                            <asp:BoundField DataField="CreateDate" HeaderText="建立时间" DataFormatString="{0:yyyy-MM-dd HH:mm:ss}" />
                            <asp:BoundField DataField="IP" HeaderText="建立IP" />


                            <asp:TemplateField HeaderText="修改">
                                <ItemTemplate>
                                    <%#UsToolArtUrl("/admin/sysuser/usermanage.aspx" +"?id="+Eval("id").ToString(), "[修改]",pDefault.sSize)%>
                                </ItemTemplate>
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                </div>
                <div class="divInfoColor">
                    
                                <webdiyer:AspNetPager ID="Pager" runat="server" AlwaysShow="True" OnPageChanged="Pager_PageChanged"
                                    ShowCustomInfoSection="Left" ShowPageIndexBox="Always" ShowPageIndex="False"
                                    CustomInfoHTML="共 <B>%PageCount%</B> 页，当前为第 <B>%CurrentPageIndex%</B> 页，每页 <B>%PageSize%</B> 条"
                                    SubmitButtonText="" FirstPageText="首页" LastPageText="尾页" LayoutType="Table" NextPageText="后一页"
                                    PrevPageText="前一页" ShowMoreButtons="False" TextAfterPageIndexBox="页" TextBeforePageIndexBox="转到"
                                    CustomInfoTextAlign="Left" HorizontalAlign="Right">
                                </webdiyer:AspNetPager>
                         
                </div>
                </div>
            </div>
            <asp:Literal ID="LiteralScript" runat="server" EnableViewState="False"></asp:Literal>
            
    </form>
</body>
</html>
