﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="tjhxteachermanage.aspx.cs" Inherits="Us.Web.admin.teacher.tjhxteachermanage" %>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>教师管理</title>
    <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE8,chrome=1" />
    <asp:Literal ID="litregscript" runat="server" Text=""></asp:Literal>
    <script language="javascript" src="/admin/js/SystemPage.js" type="text/jscript"></script>
    <script language="javascript" src="/admin/My97DatePicker/WdatePicker.js" type="text/jscript"></script>
    <link href="../style/default/style.css" rel="stylesheet" type="text/css" />
    <%=ImportScriptStr %>
     
    <script language="javascript" type="text/javascript">
        $(document).ready(function () {

            $("#txtUserName").focus();
            GoKey();

            $("#topURLul").children().click(function () {
                $(this).siblings().removeClass().end().addClass("divURLed");
                $("#mypanel").children().css("display", "none");
                $("#d" + this.id).css("display", "");

                //alert(this.id);
            });
            $("#topURLul").children().hover(
              function () {
                  $(this).addClass("divURLon");
                  //akon(this);
              },
              function () {
                  if ($(this).attr("class") != "divURLed") {
                      $(this).removeClass("divURLon");
                  }
              }
            );
        });


    </script>


    
    <script language="javascript" type="text/javascript">
        $(document).ready(function () {
            $('#drpSkyDID').change(function () {
                var SkyCID = $(this).children('option:selected').val();//这就是selected的值 
                if (SkyCID != "") {
                    if ($('#txtUserID').attr("readonly") != 'readonly') {
                        CheckStutdentUserID(SkyCID);
                    }
                }
            })

        });


        function CheckStutdentUserID(SkyCID) {
            //alert(SkyCID);
            var data = "p=" + SkyCID;
            $("#txtUserID").val(SkyCID);
            $.ajax({
                type: "POST",
                url: "/admin/teacher/teacherregistrationajax.aspx?key=getUserID",
                data: data,
                async: false,
                success: function (msg) {
                    //alert(msg);
                    $("#txtUserID").val(msg);
                }, error: function (XMLHttpRequest, textStatus, errorThrown) {
                    alert(XMLHttpRequest.status);
                    alert(XMLHttpRequest.readyState);
                    alert(textStatus);
                }
            });
        }

        function CheckStutdentUserIDIsExist(UserID) {
            var data = "p=" + UserID;
            $.ajax({
                type: "POST",
                url: "/admin/teacher/teacherregistrationajax.aspx?key=CheckUserID",
                data: data,
                success: function (msg) {
                    //alert(msg);
                    if (msg == "0") {
                        art.dialog.data("retdata", 1);
                        document.getElementById("btnSubmit").click();
                    }
                    else {
                        CareffArtAlert('该教师编号已经存在，请更新教师编号后在重新提交!', 2);
                    }
                }
            });
        }


        function jscheckAll() {

            var drpSkyDID;
            drpSkyDID = $("#drpSkyDID").val();

            if (drpSkyDID == "") {
                CareffArtAlert('院系专业班级必须都选择后才可以提交！', 2);
                return false;
            }
            if (art.dialog.data("retdata") == 1) {
                art.dialog.data("retdata", 0);//重置
                return true;
            }
            var UserID = $("#txtUserID").val();
            //alert($('txtUserID').attr("readonly"));
            //alert($('#txtUserID').attr("readonly"))
            if ($('#txtUserID').attr("readonly") != 'readonly') {
                
                CheckStutdentUserIDIsExist(UserID);
            }
            else {
                art.dialog.data("retdata", 1);
                document.getElementById("btnSubmit").click();
            }

            return false;
        }
    </script>
    <style type="text/css">
        .style1 {
            font-size: 12px;
            text-align: center;
            line-height: 25px;
            font-weight: bold;
            background-image: url('../style/green/gd/titlebg2014.gif');
            background-repeat: repeat-x;
            background-position: 50% bottom;
            white-space: nowrap;
            padding-right: 5px;
            padding-left: 5px;
            background-color: #ffffff;
            height: 26px;
        }

        .style2 {
            background-color: #ffffff;
            background-repeat: repeat-x;
            height: 26px;
            font-size: 12px;
            line-height: 25px;
            text-align: left;
        }
    </style>
</head>
<body onload="win_onLoad();">
    <form id="Form1" method="post" runat="server">
        
        <%=NoAutoInputStr %>
        
         <object classid="clsid:10946843-7507-44FE-ACE8-2B3483D179B7"
            id="CVR_IDCard" name="CVR_IDCard" width="0" height="0">
        </object>
        <div id="tbMain">
            <div class="divTbg">
                <div class="divTbgL"></div>
                <div class="divTbgInfo">
                    <div class="divTbgTitle">教师管理</div>
                </div>
            </div>
            <div class="divTbgF"></div>
            <div class="divTNavBG" id="topURL">
                <ul id="topURLul">
                    <li class="divURLed" id="div1">
                        <div>
                            <img src="../style/green/images/mini_icons_046.gif" width="10" height="10" />
                            基本信息</div>
                    </li>
                    <li id="div5">
                        <div>
                            <img src="../style/green/images/mini_icons_046.gif" width="10" height="10" />
                            学历及工作经历</div>
                    </li>
                    <li id="div2">
                        <div>
                            <img src="../style/green/images/mini_icons_046.gif" width="10" height="10" />
                            奖惩信息</div>
                    </li>
                    <li id="div3">
                        <div>
                            <img src="../style/green/images/mini_icons_046.gif" width="10" height="10" />
                            论文信息</div>
                    </li>
                    <li id="div4">
                        <div>
                            <img src="../style/green/images/mini_icons_046.gif" width="10" height="10" />
                            高级信息</div>
                    </li>
                    <li id="div11" style='display:<%=sDisplay %>'>
                        <div>
                            <img src="../style/green/images/mini_icons_046.gif" width="10" height="10" />
                            证书信息
                        </div>
                    </li>

                </ul>
            </div>
            <div id="mypanel">
                <div id="ddiv1">
                    <div class="divInfo">
                        <div class="divInfoblack">
                            <div class="divInfoTopList">
                                <div class="listLeft">
                                    <div class="navtitle">基本信息 </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="divInfo">
                        <table width="100%" border="0" align="center" cellpadding="0" cellspacing="1" class="tablist">
                            <tr class="tablisttr">
                                <td align="center" class="tablisttitle">隶属院系</td>
                                <td class="tabmanagertr">
                                    <asp:DropDownList ID="drpSkyDID" runat="server" Width="200px">
                                    </asp:DropDownList></td>
                                <td rowspan="4" align="center" class="tablisttitle">照片显示</td>
                                <td rowspan="4" class="tabmanagertr">
                                    <asp:Image ID="imaSpic" runat="server" Width="80" Height="100" onerror="javascript:this.src='/upload/no.jpg'" /></td>
                            </tr>
                            <tr class="tablisttr">
                                <td align="center" class="tablisttitle">教师编号</td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtUserID" runat="server" CssClass="1" ToolTip="教师编号" Width="200px"
                                        MaxLength="20"></asp:TextBox>
                                   <%-- (不能修改10位) --%></td>
                            </tr>
                            <tr class="tablisttr">
                                <td align="center" class="tablisttitle">登录密码 </td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtUserPwd" runat="server" ToolTip="登录密码" Width="200px"
                                        TextMode="Password"></asp:TextBox>
                                    不填则不改 </td>
                            </tr>
                            <tr class="tablisttr">
                                <td align="center" class="tablisttitle">教师名称 </td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtUserName" runat="server" CssClass="1" ToolTip="教师名称" Width="200px"></asp:TextBox><input type="button" name="readCard" value="读取身份证" id="readCard" class="SkyButtonFocus" onclick="HSCardRead();" title="请在IE内核的浏览器下使用本功能，其他浏览器暂不支持，可以通过快捷键Ctrl+Alt进行快速读取身份证信息；" /></td>
                            </tr>
                            <tr class="tablisttr">
                                <td width="100" align="center" class="tablisttitle">身份类型 </td>
                                <td class="tabmanagertr">
                                    <asp:DropDownList ID="drpTeacherType" runat="server" Width="200px">
                                        <asp:ListItem Value="TeacherType">codeno</asp:ListItem>
                                    </asp:DropDownList></td>
                                <td width="100" align="center" class="tablisttitle">教师照片 </td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtSpic" runat="server" Width="200px"></asp:TextBox>
                                    <a href="#" onclick="SkyOpen('txtSpic','imaSpic');">[选择]</a> <a href="#" onclick="SkyView('txtSpic');">[查看]</a></td>
                            </tr>
                            <tr class="tablisttr">
                                <td align="center" class="tablisttitle" width="100">用户状态</td>
                                <td class="tabmanagertr">
                                    <asp:DropDownList ID="drpUState2013" runat="server">
                                        <asp:ListItem Value="UState2013">codeno</asp:ListItem>
                                    </asp:DropDownList></td>
                                <td align="center" class="tablisttitle" width="100">籍贯</td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtFJiguan" runat="server" ToolTip="籍贯" Width="200px"></asp:TextBox></td>
                            </tr>
                            <tr class="tablisttr">
                                <td align="center" class="tablisttitle" width="100">教师性别 </td>
                                <td class="tabmanagertr">
                                    <asp:DropDownList ID="drpSSex" runat="server" Width="200px">
                                        <asp:ListItem Value="Sex">codeno</asp:ListItem>
                                    </asp:DropDownList></td>
                                <td align="center" class="tablisttitle" width="100">出生日期 </td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtSAge" runat="server" Width="200px"></asp:TextBox></td>
                            </tr>
                            <tr class="tablisttr">
                                <td width="100" align="center" class="tablisttitle">证件名称</td>
                                <td class="tabmanagertr">
                                    <asp:DropDownList ID="drpFZJType" runat="server">
                                        <asp:ListItem Value="CredentialsType">codeno</asp:ListItem>
                                    </asp:DropDownList></td>
                                <td align="center" class="tablisttitle">证件号码</td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtsInd" runat="server" Width="200px" MaxLength="18"></asp:TextBox></td>
                            </tr>
                            <tr class="tablisttr">
                                <td width="100" align="center" class="tablisttitle">入党时间</td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtFRudangshijian" runat="server"
                                        ToolTip="入党时间" Width="200px"></asp:TextBox></td>
                                <td align="center" class="tablisttitle">教师民族 </td>
                                <td class="tabmanagertr">
                                    <asp:DropDownList ID="drpSNational" runat="server" Width="200px">
                                        <asp:ListItem Value="National">codeno</asp:ListItem>
                                    </asp:DropDownList></td>
                            </tr>
                            <tr class="tablisttr">
                                <td width="100" align="center" class="tablisttitle">家庭住址 </td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtSFAddr" runat="server" Width="200px"></asp:TextBox></td>
                                <td align="center" class="tablisttitle">家庭电话 </td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtSFTel" runat="server" Width="200px"></asp:TextBox></td>
                            </tr>
                              <tr class="tablisttr">
                                <td align="center" class="tablisttitle">签发机关</td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtIssuedAt" runat="server" Width="200px" ToolTip="身份证签发机关"></asp:TextBox></td>
                                <td align="center" class="tablisttitle">有效期限</td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtEffectedDate" runat="server" Width="200px" ToolTip="身份证有效期限"></asp:TextBox></td>
                            </tr>
                            <tr class="tablisttr">
                                <td width="100" align="center" class="tablisttitle">个人电话 </td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtSPTel" runat="server" Width="200px"></asp:TextBox></td>
                                <td align="center" class="tablisttitle">个人邮箱 </td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtSPEmail" runat="server" Width="200px"></asp:TextBox></td>
                            </tr>
                            <tr class="tablisttr">
                                <td align="center" class="tablisttitle">政治面貌 </td>
                                <td class="tabmanagertr">
                                    <asp:DropDownList ID="drpSZhengzhi" runat="server" Width="200px" ToolTip="政治面貌">
                                        <asp:ListItem Value="SZhengzhi">codeno</asp:ListItem>
                                    </asp:DropDownList></td>
                                <td align="center" class="tablisttitle">教师性质 </td>
                                <td class="tabmanagertr">
                                    <asp:DropDownList ID="drpSTeacherXZ" runat="server" Width="200px" ToolTip="教师性质">
                                        <asp:ListItem Value="TeacherXZ">codeno</asp:ListItem>
                                    </asp:DropDownList></td>
                            </tr>
                            <tr class="tablisttr">
                                <td align="center" class="tablisttitle">聘任岗位</td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtFGangWei" runat="server" ToolTip="聘任岗位" Width="200px"></asp:TextBox></td>
                                <td align="center" class="tablisttitle">聘任时间</td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtFPinRenshijian" runat="server" ToolTip="聘任时间" Width="200px"></asp:TextBox></td>
                            </tr>
                            <tr class="tablisttr">
                                <td align="center" class="tablisttitle">专业技术等级</td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtFJishudengji" runat="server" ToolTip="专业技术等级" Width="200px"></asp:TextBox></td>
                                <td align="center" class="tablisttitle">评定时间</td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtFPingdingshijian" runat="server" ToolTip="评定时间" Width="200px"></asp:TextBox></td>
                            </tr>
                            <tr class="tablisttr">
                                <td align="center" class="tablisttitle">入职时间</td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtFRuzhishijian" runat="server" ToolTip="入职时间" Width="200px"></asp:TextBox></td>
                                <td align="center" class="tablisttitle">离职时间</td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtFLizhishijian" runat="server" ToolTip="离职时间" Width="200px"></asp:TextBox></td>
                            </tr>
                            <tr class="tablisttr">
                                <td align="center" class="tablisttitle">教师职称</td>
                                <td class="tabmanagertr">
                                    <asp:DropDownList ID="drpSTeacherZC" runat="server" Width="200px" ToolTip="教师职称">
                                        <asp:ListItem Value="TeacherZC">codeno</asp:ListItem>
                                    </asp:DropDownList></td>
                                <td align="center" class="tablisttitle">离职原因</td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtFLizhiyuanyin" runat="server" ToolTip="离职原因" Width="200px"></asp:TextBox></td>
                            </tr>
                           
                            <tr class="tablisttr">
                                <td align="center" class="tablisttitle">备注</td>
                                <td colspan="3" class="tabmanagertr">
                                    <asp:TextBox ID="txtFNote" runat="server" ToolTip="备注" TextMode="MultiLine" Height="50px" Width="600px"></asp:TextBox>
                                    证书信息需要修改教师信息才能查看；
                                </td>
                            </tr>
                        </table>
                    </div>
                </div>
                <div   id="ddiv2" style="display: none;">
                             <div class="divInfo">
                        <div class="divInfoblack">
                            <div class="divInfoTopList">
                                <div class="listLeft">
                                    <div class="navtitle">奖惩信息 </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    
                    
                    <div class="divInfo">
                        <table width="100%" border="0" align="center" cellpadding="0" cellspacing="1" class="tablist">
                            <tr class="tablisttr">
                                <td width="100" align="center" valign="top" class="tablisttitle">奖励信息 </td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtTReward" TextMode="MultiLine" runat="server" ToolTip="奖励信息" Height="80px"
                                        Width="600px"></asp:TextBox></td>
                            </tr>
                            <tr class="tablisttr">
                                <td width="100" align="center" valign="top" class="tablisttitle">惩罚信息 </td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtTPunishment" TextMode="MultiLine" runat="server" ToolTip="惩罚信息"
                                        Height="80px" Width="600px"></asp:TextBox></td>
                            </tr>
                        </table>
                    </div>
                </div>
                <div  id="ddiv3" style="display: none;">
                   
                     <div class="divInfo">
                        <div class="divInfoblack">
                            <div class="divInfoTopList">
                                <div class="listLeft">
                                    <div class="navtitle">论文信息 </div>
                                </div>
                            </div>
                        </div>
                    </div>
                     
                    <div class="divInfo">
                        <table width="100%" border="0" align="center" cellpadding="0" cellspacing="1" class="tablist">
                            <tr class="tablisttr">
                                <td width="100" align="center" valign="top" class="tablisttitle">论文信息 </td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtTPaper" TextMode="MultiLine" runat="server" ToolTip="论文信息" Height="80px"
                                        Width="600px"></asp:TextBox></td>
                            </tr>
                            <tr class="tablisttr">
                                <td width="100" align="center" valign="top" class="tablisttitle">专利信息 </td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtTPatent" TextMode="MultiLine" runat="server" ToolTip="专利信息" Height="80px"
                                        Width="600px"></asp:TextBox></td>
                            </tr>
                            <tr class="tablisttr">
                                <td width="100" align="center" valign="top" class="tablisttitle">论著信息 </td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtTOnthe" TextMode="MultiLine" runat="server" ToolTip="论著信息" Height="80px"
                                        Width="600px"></asp:TextBox></td>
                            </tr>
                        </table>
                    </div>
                </div>
                <div id="ddiv4" style="display: none;">
                    

                    <div class="divInfo">
                        <div class="divInfoblack">
                            <div class="divInfoTopList">
                                <div class="listLeft">
                                    <div class="navtitle">高级信息 </div>
                                </div>
                            </div>
                        </div>
                    </div>
                     

                    <div class="divInfo">
                        <table width="100%" border="0" align="center" cellpadding="0" cellspacing="1" class="tablist">
                            <tr class="tablisttr">
                                <td width="100" align="center" valign="top" class="tablisttitle">文章信息 </td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtTArticle" TextMode="MultiLine" runat="server" ToolTip="文章信息"
                                        Height="80px" Width="600px"></asp:TextBox></td>
                            </tr>
                            <tr class="tablisttr">
                                <td width="100" align="center" valign="top" class="tablisttitle">科研信息 </td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtTResearch" TextMode="MultiLine" runat="server" ToolTip="科研信息"
                                        Height="80px" Width="600px"></asp:TextBox></td>
                            </tr>
                            <tr class="tablisttr">
                                <td width="100" align="center" valign="top" class="tablisttitle">出国信息 </td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtTAbroad" TextMode="MultiLine" runat="server" ToolTip="出国信息" Height="80px"
                                        Width="600px"></asp:TextBox></td>
                            </tr>
                            <tr class="tablisttr">
                                <td width="100" align="center" valign="top" class="tablisttitle">进修信息 </td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtTEducation" TextMode="MultiLine" runat="server" ToolTip="进修信息"
                                        Height="80px" Width="600px"></asp:TextBox></td>
                            </tr>
                             <tr class="tablisttr">
                                <td align="center" class="tablisttitle">技术特长</td>
                                <td colspan="3" class="tabmanagertr">
                                    <asp:TextBox ID="txtFJishutechang" runat="server" ToolTip="技术特长" TextMode="MultiLine" Height="60px" Width="600px"></asp:TextBox></td>
                            </tr>
                            <tr class="tablisttr">
                                <td align="center" class="tablisttitle">教授科目</td>
                                <td colspan="3" class="tabmanagertr">
                                    <asp:TextBox ID="txtFJiaoshoukemu" runat="server" ToolTip="教授科目" TextMode="MultiLine" Height="60px" Width="600px"></asp:TextBox></td>
                            </tr>
                        </table>
                    </div>
                </div>
                <div   id="ddiv5" style="display: none;">
                    

                      <div class="divInfo">
                        <div class="divInfoblack">
                            <div class="divInfoTopList">
                                <div class="listLeft">
                                    <div class="navtitle">工作经历 </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="divInfo">
                        <table width="100%" border="0" align="center" cellpadding="0" cellspacing="1" class="tablist">
                            <tr class="tablisttr">
                                <td width="100" align="center" class="tablisttitle">原始学历</td>
                                <td class="tabmanagertr">

                                    <asp:DropDownList ID="drpFYSxueli" runat="server" Width="200px" ToolTip="原始学历">
                                        <asp:ListItem Value="TeacherXL">codeno</asp:ListItem>
                                    </asp:DropDownList>
                                </td>
                                <td width="100" align="center" class="tablisttitle">毕业院校及专业</td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtFYSBiyeyuanxiao" runat="server" ToolTip="毕业院校及专业" Width="200px"></asp:TextBox></td>
                            </tr>
                            <tr class="tablisttr">
                                <td align="center" class="tablisttitle">学制</td>
                                <td class="tabmanagertr">
                                    <asp:DropDownList ID="drpFYSxuezhi" runat="server" Width="200px">
                                        <asp:ListItem Value="System">codeno</asp:ListItem>
                                    </asp:DropDownList>



                                </td>
                                <td align="center" class="tablisttitle">学位</td>
                                <td class="tabmanagertr">

                                    <asp:DropDownList ID="drpFYSxuewei" runat="server" Width="200px" ToolTip="教师学位">
                                        <asp:ListItem Value="STeacherXW">codeno</asp:ListItem>
                                    </asp:DropDownList>

                                </td>
                            </tr>
                            <tr class="tablisttr">
                                <td align="center" class="tablisttitle">毕业时间</td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtFYSbiyeshijian" runat="server" ToolTip="毕业时间" Width="200px"></asp:TextBox></td>
                                <td align="center" class="tablisttitle">&nbsp;</td>
                                <td class="tabmanagertr">&nbsp;</td>
                            </tr>
                            <tr class="tablisttr">
                                <td align="center" class="tablisttitle">&nbsp;</td>
                                <td class="tabmanagertr">&nbsp;</td>
                                <td align="center" class="tablisttitle">&nbsp;</td>
                                <td class="tabmanagertr">&nbsp;</td>
                            </tr>
                            <tr class="tablisttr">
                                <td align="center" class="tablisttitle">在职教育</td>
                                <td class="tabmanagertr">

                                    <asp:DropDownList ID="drpFZZxueli" runat="server" Width="200px" ToolTip="原始学历">
                                        <asp:ListItem Value="TeacherXL">codeno</asp:ListItem>
                                    </asp:DropDownList>

                                </td>
                                <td align="center" class="tablisttitle">毕业院校及专业</td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtFZZBiyeyuanxiao" runat="server" ToolTip="毕业院校及专业" Width="200px"></asp:TextBox></td>
                            </tr>
                            <tr class="tablisttr">
                                <td align="center" class="tablisttitle">学习形式</td>
                                <td class="tabmanagertr">

                                    <asp:DropDownList ID="drpFZZXuexixingshi" runat="server" Width="200px">
                                        <asp:ListItem Value="Forms">codeno</asp:ListItem>
                                    </asp:DropDownList>


                                </td>
                                <td align="center" class="tablisttitle">在职学制</td>
                                <td class="tabmanagertr">

                                    <asp:DropDownList ID="drpFZZXuezhi" runat="server" Width="200px">
                                        <asp:ListItem Value="System">codeno</asp:ListItem>
                                    </asp:DropDownList>


                                </td>
                            </tr>
                            <tr class="tablisttr">
                                <td align="center" class="tablisttitle">学位毕业时间</td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtFZZBiyeshijian" runat="server" ToolTip="学位毕业时间" Width="200px"></asp:TextBox></td>
                                <td align="center" class="tablisttitle">在职学位</td>
                                <td class="tabmanagertr">
                                    <asp:DropDownList ID="drpSTeacherXW" runat="server" Width="200px" ToolTip="教师学位">
                                        <asp:ListItem Value="STeacherXW">codeno</asp:ListItem>
                                    </asp:DropDownList></td>
                            </tr>
                            <tbody style="display: none">
                                <tr class="tablisttr">
                                    <td align="center" class="tablisttitle">&nbsp;</td>
                                    <td class="tabmanagertr">&nbsp;</td>
                                    <td align="center" class="tablisttitle">&nbsp;</td>
                                    <td class="tabmanagertr">&nbsp;</td>
                                </tr>
                                <tr class="tablisttr">
                                    <td align="center" class="tablisttitle">&nbsp;</td>
                                    <td class="tabmanagertr">&nbsp;</td>
                                    <td align="center" class="tablisttitle">&nbsp;</td>
                                    <td class="tabmanagertr">&nbsp;</td>
                                </tr>
                                <tr class="tablisttr">
                                    <td align="center" class="tablisttitle">教师职称 </td>
                                    <td class="tabmanagertr"></td>
                                    <td align="center" class="tablisttitle">教师学历 </td>
                                    <td class="tabmanagertr">
                                        <asp:DropDownList ID="drpSTeacherXL" runat="server" Width="200px" ToolTip="教师学历">
                                            <asp:ListItem Value="TeacherXL">codeno</asp:ListItem>
                                        </asp:DropDownList></td>
                                </tr>
                                <tr class="tablisttr">
                                    <td width="100" align="center" class="tablisttitle">工作单位 </td>
                                    <td class="tabmanagertr">
                                        <asp:TextBox ID="txtSCompany" runat="server" Width="200px"></asp:TextBox></td>
                                    <td align="center" class="tablisttitle">工作职务 </td>
                                    <td class="tabmanagertr">
                                        <asp:TextBox ID="txtSPositions" runat="server" Width="200px"></asp:TextBox></td>
                                </tr>
                                <tr class="tablisttr">
                                    <td width="100" align="center" class="tablisttitle">单位通讯地址 </td>
                                    <td class="tabmanagertr">
                                        <asp:TextBox ID="txtSCAddr" runat="server" Width="200px"></asp:TextBox></td>
                                    <td align="center" class="tablisttitle">邮政编码 </td>
                                    <td class="tabmanagertr">
                                        <asp:TextBox ID="txtSCPost" runat="server" Width="200px"></asp:TextBox></td>
                                </tr>
                                <tr class="tablisttr">
                                    <td width="100" align="center" class="tablisttitle">职工编号 </td>
                                    <td class="tabmanagertr">
                                        <asp:TextBox ID="txtSTeacherNumber" runat="server" Width="200px"></asp:TextBox></td>
                                    <td align="center" class="tablisttitle">单位电话 </td>
                                    <td class="tabmanagertr">
                                        <asp:TextBox ID="txtSCTel" runat="server" Width="200px"></asp:TextBox></td>
                                </tr>
                                <tr class="tablisttr">
                                    <td align="center" class="tablisttitle">所学专业 </td>
                                    <td class="tabmanagertr">
                                        <asp:TextBox ID="txtSTeacherZY" runat="server" ToolTip="所学专业" Width="200px"></asp:TextBox></td>
                                    <td align="center" class="tablisttitle">教师学位 </td>
                                    <td class="tabmanagertr"></td>
                                </tr>
                            </tbody>
                        </table>
                        <table width="100%" border="0" align="center" cellpadding="0" cellspacing="1" class="tablist">
                            <tr class="tablisttr">
                                <td width="100" align="center" class="tablisttitle">工<br />
                                    作<br />
                                    履<br />
                                    历</td>
                                <td class="tabmanagertr">
                                    <table width="99%" border="0" align="center" cellpadding="0" cellspacing="1" onmouseover="changeto()" onmouseout="changeback()" class="tablist" id="mainlist">
                                        <tr class="tablisttr">
                                            <td align="center" class="tablisttitle">年月至年月</td>
                                            <td align="center" class="tablisttitle">何地、何工作、何职务</td>
                                        </tr>
                                        <tr class="tablisttr">
                                            <td class="tabmanagertr">
                                                1.<asp:TextBox ID="txtFDate1" runat="server" ToolTip="" Width="95%"></asp:TextBox>
                                                <br />
                                                例如：2015年9月 至 2013年6月
    
                                            </td>
                                            <td class="tabmanagertr">
                                                <asp:TextBox ID="txtFWork1" runat="server" ToolTip="" Width="95%"></asp:TextBox>
                                                <br />
                                                例如：天津XX大学计算机学院教师
                                            </td>
                                        </tr>
                                        <tr class="tablisttr">
                                            <td class="tabmanagertr">
                                                2.<asp:TextBox ID="txtFDate2" runat="server" ToolTip="" Width="95%"></asp:TextBox></td>
                                            <td class="tabmanagertr">
                                                <asp:TextBox ID="txtFWork2" runat="server" ToolTip="" Width="95%"></asp:TextBox></td>
                                        </tr>
                                        <tr class="tablisttr">
                                            <td class="tabmanagertr">
                                                3.<asp:TextBox ID="txtFDate3" runat="server" ToolTip="" Width="95%"></asp:TextBox></td>
                                            <td class="tabmanagertr">
                                                <asp:TextBox ID="txtFWork3" runat="server" ToolTip="" Width="95%"></asp:TextBox></td>
                                        </tr>
                                        <tr class="tablisttr">
                                            <td class="tabmanagertr">
                                                4.<asp:TextBox ID="txtFDate4" runat="server" ToolTip="" Width="95%"></asp:TextBox></td>
                                            <td class="tabmanagertr">
                                                <asp:TextBox ID="txtFWork4" runat="server" ToolTip="" Width="95%"></asp:TextBox></td>
                                        </tr>
                                        <tr class="tablisttr">
                                            <td class="tabmanagertr">
                                               5.<asp:TextBox ID="txtFDate5" runat="server" ToolTip="" Width="95%"></asp:TextBox></td>
                                            <td class="tabmanagertr">
                                                <asp:TextBox ID="txtFWork5" runat="server" ToolTip="" Width="95%"></asp:TextBox></td>
                                        </tr>


                                        <tr class="tablisttr">
                                            <td class="tabmanagertr">
                                                6.<asp:TextBox ID="txtFDate6" runat="server" ToolTip="" Width="95%"></asp:TextBox></td>
                                            <td class="tabmanagertr">
                                                <asp:TextBox ID="txtFWork6" runat="server" ToolTip="" Width="95%"></asp:TextBox></td>
                                        </tr>
                                        <tr class="tablisttr">
                                            <td class="tabmanagertr">
                                                7.<asp:TextBox ID="txtFDate7" runat="server" ToolTip="" Width="95%"></asp:TextBox></td>
                                            <td class="tabmanagertr">
                                                <asp:TextBox ID="txtFWork7" runat="server" ToolTip="" Width="95%"></asp:TextBox></td>
                                        </tr>
                                        <tr class="tablisttr">
                                            <td class="tabmanagertr">
                                                8.<asp:TextBox ID="txtFDate8" runat="server" ToolTip="" Width="95%"></asp:TextBox></td>
                                            <td class="tabmanagertr">
                                                <asp:TextBox ID="txtFWork8" runat="server" ToolTip="" Width="95%"></asp:TextBox></td>
                                        </tr>
                                        <tr class="tablisttr">
                                            <td class="tabmanagertr">
                                                9.<asp:TextBox ID="txtFDate9" runat="server" ToolTip="" Width="95%"></asp:TextBox></td>
                                            <td class="tabmanagertr">
                                                <asp:TextBox ID="txtFWork9" runat="server" ToolTip="" Width="95%"></asp:TextBox></td>
                                        </tr>
                                        <tr class="tablisttr">
                                            <td class="tabmanagertr">
                                                10<asp:TextBox ID="txtFDate10" runat="server" ToolTip="" Width="95%"></asp:TextBox></td>
                                            <td class="tabmanagertr">
                                                <asp:TextBox ID="txtFWork10" runat="server" ToolTip="" Width="95%"></asp:TextBox></td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>

                        </table>
                    </div>
                    
                </div>
                <div id="ddiv11" style="display: none;">
                    <div class="divInfo">
                        <iframe height="550" width="100%" scrolling="no" border="0" frameborder="0" src="/admin/extpay/extcertificatelist.aspx?k=2&userid=<%=sGetWeb.sUserID %>&username=<%=sGetWeb.sUserName %>&action=&ceruser=1001"></iframe>
                        <div class="c2014ie10div">&nbsp;</div>
                    </div>
                    
                </div>
            </div>
            <div class="divSave">
                <asp:Button ID="btnSubmit" runat="server" Text="保存(S)" CssClass="SkyButtonFocus"
                    OnClick="btnSubmit_Click" AccessKey="S" CommandName="save"></asp:Button>
                <asp:Button ID="btnSubmitClose" runat="server" CommandName="saveclose" CssClass="SkyButtonFocus"
                    OnClick="btnSubmit_Click" Text="取消(C)" />
            </div>
        </div>
    </form>
</body>
</html>
