﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="certificatelist.aspx.cs"
    Inherits="Us.Web.admin.certificatetype.certificatelist" %>


<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="webdiyer" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>证书管理</title>
    <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE8,chrome=1" />

    <link href="../style/default/style.css" rel="stylesheet" type="text/css" />
    <%=ImportScriptStr %>
</head>
<body>
    <form id="Form1" method="post" runat="server">
        
        
                <div class="divTbg">
                    <div class="divTbgL">
                    </div>
                    <div class="divTbgInfo">
                        <div class="divTbgTitle">
                            证书管理
                        </div>
                    </div>
                </div>
                <div class="divTbgF">
                </div>


                <div class="divSearchBoth">
                    <div class="divInfo">
                        <div class="divInfoblack">
                            <div class="divInfoTopList">
                                <div class="listLeft">
                                    <div class="navsearchtitle">
                                        证书管理搜索
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="divInfo">
                        <div class="divSearch">
                            <div id="searchBox" class="clearsearch">
                                <p>
                                    <label for="txtID">
                                        隶属院系：</label><asp:DropDownList ID="drpSkyDID" runat="server" AutoPostBack="True"
                                            OnSelectedIndexChanged="drpSkyDID_SelectedIndexChanged">
                                        </asp:DropDownList>
                                </p>
                                <p>
                                    <label for="txtID">
                                        隶属专业：</label><asp:DropDownList ID="drpSkyPID" runat="server" AutoPostBack="True"
                                            OnSelectedIndexChanged="drpSkyPID_SelectedIndexChanged">
                                        </asp:DropDownList>
                                </p>
                                <p>
                                    <label for="txtID">
                                        隶属班级：</label><asp:DropDownList ID="drpSkyCID" runat="server" AutoPostBack="True"
                                            OnSelectedIndexChanged="drpSkyCID_SelectedIndexChanged">
                                        </asp:DropDownList>
                                </p>
                                <p>
                                    <label for="txtID">
                                        学生名称：</label>
                                    <asp:DropDownList ID="drpUserID" runat="server" AutoPostBack="True" OnSelectedIndexChanged="drpSkyCourseID_SelectedIndexChanged">
                                    </asp:DropDownList>
                                </p>
                                <p>
                                    <label for="drpSkyTID">
                                        隶属学期：</label>
                                    <asp:DropDownList ID="drpSkyTID" runat="server" AutoPostBack="True" OnSelectedIndexChanged="drpSkyTID_SelectedIndexChanged">
                                    </asp:DropDownList>
                                </p>
                                <p>
                                    <label for="drpCTID">
                                        证书类型：</label><asp:DropDownList ID="drpCTID" runat="server" AutoPostBack="True">
                                        </asp:DropDownList>
                                </p>
                                <p>
                                    <label for="drpCertificateType">
                                        证书工种：</label> <asp:DropDownList ID="drpCertificateType" runat="server">
                                        <asp:ListItem Value="CertificateType">code</asp:ListItem>
                                    </asp:DropDownList>
                                </p>

                                 <p>
                                    <label for="drpCertificateGrade">
                                        证书级别：</label><asp:DropDownList ID="drpCertificateGrade" runat="server">
                                        <asp:ListItem Value="CertificateGrade">code</asp:ListItem>
                                    </asp:DropDownList>
                                </p>

                                <p>
                                    <label for="txtCNumber">
                                        证书编号：</label>  <asp:TextBox ID="txtCNumber" runat="server"></asp:TextBox>
                                </p>

                               
                                <p id="searchSubmit">
                                    <asp:Button ID="btnSearch" runat="server" CssClass="SkyButtonFocus" OnClick="btnSearch_Click"
                                        Text="确认搜索" />
                                </p>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="divInfo">
                    <div class="divInfoblack">
                        <div class="divInfoTopList">
                            <div class="listLeft">
                                <div class="navtitle">
                                    证书管理列表
                                </div>
                            </div>
                            <div class="listRight">
                                <ul>
                                    <li class="navstyle1">
                                        <input type="checkbox" name="chkselect" id="chkselect" onclick="skySelectCheckList();" />
                                        <label for="chkselect">
                                            全选</label>
                                    </li>
                                    <li class="navstyle2">
                                        <asp:LinkButton ID="LnkBAdd" runat="server" OnClick="SkyLnkBAMD_Click">添加</asp:LinkButton>
                                    </li>
                                    <li class="navstyle3">
                                        <asp:LinkButton ID="LnkBEdit" runat="server" OnClick="SkyLnkBAMD_Click" Enabled="false">编辑</asp:LinkButton>
                                    </li>
                                    <li class="navstyle4">
                                        <asp:LinkButton ID="LnkBDelete" runat="server" OnClick="SkyLnkBAMD_Click">删除</asp:LinkButton>
                                    </li>
                                    <li class="navstyle5">
                                        <asp:LinkButton ID="LnkBExcel" runat="server" OnClick="SkyLnkBAMD_Click">导出</asp:LinkButton>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="divInfo">
                    <div style="font: 2px; line-height: 2px;">
                        &nbsp;
                    </div>
                    <asp:GridView ID="gvInfo" runat="server" AutoGenerateColumns="False" BorderStyle="None"
                        CellPadding="0" CellSpacing="1" GridLines="None" Width="100%" CssClass="tablist"
                        HorizontalAlign="Center">
                        <RowStyle CssClass="tablisttr" HorizontalAlign="Center" />
                        <HeaderStyle HorizontalAlign="Center" CssClass="tablisttitle"></HeaderStyle>
                        <Columns>
                            <asp:BoundField DataField="id" HeaderText="序号" />
                            <asp:TemplateField HeaderText="选择">
                                <ItemTemplate>
                                    <asp:CheckBox ID="chkSelect" runat="server" ToolTip='<%# Bind("ID")%>' />
                                </ItemTemplate>
                                <ItemStyle CssClass="itemStyle2" />
                            </asp:TemplateField>
                            <asp:BoundField HeaderText="学生学号" DataField="UserID" />
                            <asp:BoundField HeaderText="学生姓名" DataField="UserName" />
                            <asp:BoundField HeaderText="证书类型" DataField="SkyCTName" />
                            <asp:BoundField HeaderText="发证学期" DataField="SkyTName" />

                            <asp:BoundField HeaderText="证书编号" DataField="CNumber" />
                            <asp:BoundField HeaderText="证书工种" DataField="CertificateTypeName" />
                            <asp:BoundField HeaderText="证书等级" DataField="CertificateGradeName" />

                            <asp:BoundField HeaderText="隶属院系" DataField="SkyDName" />
                            <asp:BoundField HeaderText="隶属班级" DataField="SkyCName" />
                            <asp:BoundField DataField="CreateDate" HeaderText="建立时间" DataFormatString="{0:yyyy-MM-dd HH:mm:ss}" />


                            <asp:TemplateField HeaderText="操作">
                                <ItemTemplate>
                                    <%#UsToolArtUrl("/admin/certificatetype/certificatemanage.aspx" +"?id="+Eval("id").ToString(), "[修改]",pDefault.sSize)%>
                                </ItemTemplate>
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                </div>
                <div class="divInfoColor">
                                <webdiyer:AspNetPager ID="Pager" runat="server" AlwaysShow="True" OnPageChanged="Pager_PageChanged"
                                    ShowCustomInfoSection="Left" ShowPageIndexBox="Always" ShowPageIndex="False"
                                    CustomInfoHTML="共 <B>%PageCount%</B> 页，当前为第 <B>%CurrentPageIndex%</B> 页，每页 <B>%PageSize%</B> 条"
                                    SubmitButtonText="" FirstPageText="首页" LastPageText="尾页" LayoutType="Table" NextPageText="后一页"
                                    PrevPageText="前一页" ShowMoreButtons="False" TextAfterPageIndexBox="页" TextBeforePageIndexBox="转到"
                                    CustomInfoTextAlign="Left" HorizontalAlign="Right">
                                </webdiyer:AspNetPager>
                </div>
                </div>
                </div>
            <asp:Literal ID="LiteralScript" runat="server" EnableViewState="False"></asp:Literal>
            
    </form>
</body>
</html>
