﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="reportclassstudent.aspx.cs" Inherits="Us.Web.admin.report.reportclassstudent" %>


<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="webdiyer" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
<title>学生信息统计</title>
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE8,chrome=1" />
 <link href="../style/default/style.css" rel="stylesheet" type="text/css" />
<%=ImportScriptStr %>
</head>
<body>
<form id="Form1" method="post" runat="server">
  
  
      <div class="divTbg">
        <div class="divTbgL"> </div>
        <div class="divTbgInfo">
          <div class="divTbgTitle"> 学生信息统计</div>
        </div>
      </div>
      <div class="divTbgF"> </div>
      <div class="divInfo">
        <div class="divInfoTop">
          <div class="listLeft">
            <ul>
              <li>
                <div> <img src="../style/green/images/search.gif" /></div>
              </li>
              <li>条件选择</li>
            </ul>
          </div>
        </div>
        <div class="divInfoContext">
          <table width="100%" border="0" cellpadding="0" cellspacing="1" class="tablist">
            <tr>
              <td width="100" align="center" class="SkyTDTitle"> 条件选择 </td>
              <td class="SkyTDInfo"> <div id="searchBox" class="clearsearch">
                                    <p>
                                        <label for="txtID">
                                            班级编号：</label><asp:TextBox ID="txtID" runat="server"></asp:TextBox></p>
                                    <p>
                                        <label for="txtName">
                                            班级名称：</label><asp:TextBox ID="txtName" runat="server"></asp:TextBox></p>
                                    <p>
                                        <label for="drpSkyDID">
                                            隶属院系：</label><asp:DropDownList ID="drpSkyDID" runat="server" AutoPostBack="True"
                                                OnSelectedIndexChanged="drpSkyDID_SelectedIndexChanged">
                                            </asp:DropDownList>
                                    </p>
                                    <p>
                                        <label for="drpSkyPID">
                                            隶属专业：</label><asp:DropDownList ID="drpSkyPID" runat="server">
                                            </asp:DropDownList>
                                    </p>
                                    <p id="searchSubmit">
                                        <asp:Button ID="btnSearch" runat="server" OnClick="btnSearch_Click" Text="确认搜索" CssClass="SkyButtonFocus" /></p>
                                </div>
              </td>
            </tr>
          </table>
        </div>
      </div>
      <div class="divInfo">
        <div class="divInfoTopList">
          <div class="listLeft">
            <ul>
              <li>
                <div> <img src="../style/green/images/index.gif" /></div>
              </li>
              <li>班级列表</li>
            </ul>
          </div>
          <div class="listRight">
            <ul>
              <li>
                <div>
                  <asp:Literal ID="LSelectAll" runat="server" Text="全择"></asp:Literal>
                </div>
              </li>
              <li class="listRightwidth">
                <label for="checkSelect"> 全选</label>
              </li>
              <li>
                <div> <img src="../style/default/tab/22.gif" width="14" height="14"></div>
              </li>
              <li class="listRightwidth">
                <asp:LinkButton ID="LnkBAdd" runat="server" OnClick="SkyLnkBAMD_Click" Enabled="False">新增</asp:LinkButton>
              </li>
              <li>
                <div> <img src="../style/default/tab/33.gif" width="14" height="14"></div>
              </li>
              <li class="listRightwidth">
                <asp:LinkButton ID="LnkBModify" runat="server" Enabled="False" OnClick="SkyLnkBAMD_Click">修改</asp:LinkButton>
              </li>
              <li>
                <div> <img src="../style/default/tab/11.gif" width="14" height="14"> </div>
              </li>
              <li class="listRightwidth">
                <asp:LinkButton ID="LnkBDelete" runat="server" OnClick="SkyLnkBAMD_Click" Enabled="False">删除</asp:LinkButton>
              </li>
              <li>
                <div> <img src="../style/default/tab/44.gif" width="14" height="14"></div>
              </li>
              <li class="listRightwidth">
                <asp:LinkButton ID="LnkBExcel" runat="server" OnClick="SkyLnkBAMD_Click" >导出</asp:LinkButton>
              </li>
            </ul>
          </div>
        </div>
        <div class="divInfoContext">
          <div style="font: 2px; line-height: 2px;"> &nbsp;</div>
          <asp:GridView ID="gvInfo" runat="server" AutoGenerateColumns="False" BorderStyle="None"
                                                                            CellPadding="0" CellSpacing="1" GridLines="None" Width="100%" CssClass="tablist"
                                                                            HorizontalAlign="Center" OnRowDataBound="gvInfo_RowDataBound">
            <RowStyle CssClass="tablisttr" HorizontalAlign="Center" />
            <HeaderStyle HorizontalAlign="Center" CssClass="tablisttitle"></HeaderStyle>
            <Columns>
            <asp:BoundField DataField="id" HeaderText="序号">
              <ItemStyle CssClass="itemStyle1" />
            </asp:BoundField>
            <asp:TemplateField HeaderText="选择">
              <ItemTemplate>
                <asp:CheckBox ID="chkSelect" runat="server" ToolTip='<%# Bind("ID")%>' />
              </ItemTemplate>
              <ItemStyle CssClass="itemStyle2" />
            </asp:TemplateField>
            <asp:BoundField DataField="SkyCID" HeaderText="班级编号" />
            <asp:BoundField DataField="SkyCName" HeaderText="班级名称" />
            
            <asp:BoundField DataField="SkyDName" HeaderText="隶属院系" />
            <asp:BoundField DataField="SkyPName" HeaderText="隶属专业" />
            
            <asp:BoundField DataField="SPaymentMoney" HeaderText="交费金额" />
            
            <asp:BoundField DataField="SOutMoney" HeaderText="退费金额" />
            <asp:BoundField DataField="SIsOut" HeaderText="退学人数" />
            <asp:BoundField DataField="countALL" HeaderText="学生总人数" />
            
            </Columns>
          </asp:GridView>
          <div class="divInfoColor">
           <webdiyer:AspNetPager ID="Pager" runat="server" AlwaysShow="True" OnPageChanged="Pager_PageChanged"
                            ShowCustomInfoSection="Left" ShowPageIndexBox="Always" ShowPageIndex="False"
                            CustomInfoHTML="共 <B>%PageCount%</B> 页，当前为第 <B>%CurrentPageIndex%</B> 页，每页 <B>%PageSize%</B> 条"
                            SubmitButtonText="" FirstPageText="首页" LastPageText="尾页" LayoutType="Table" NextPageText="后一页"
                            PrevPageText="前一页" ShowMoreButtons="False" TextAfterPageIndexBox="页" TextBeforePageIndexBox="转到"
                            CustomInfoTextAlign="Left" HorizontalAlign="Right">
                        </webdiyer:AspNetPager>
          </div>
        </div>
      </div>
      <asp:Literal ID="LiteralScript" runat="server" EnableViewState="False"></asp:Literal>
    
</form>
</body>
</html>
