﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="roommanage.aspx.cs" Inherits="Us.Web.admin.schoolarea.roommanage" %>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>教室管理</title>
    <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE8,chrome=1" />

    <asp:Literal ID="litregscript" runat="server" Text=""></asp:Literal>
    <link href="../style/default/style.css" rel="stylesheet" type="text/css" />
    <%=ImportScriptStr %>
    <script language="javascript" type="text/javascript">
        KindEditor.ready(function (K) {
            K.create('#txtRoomInfo');
        });
    </script>
</head>
<body onload="win_onLoad();">
    <form id="Form1" method="post" runat="server">
       
        <div id="tbMain">
            <div class="divTbg">
                <div class="divTbgL"></div>
                <div class="divTbgInfo">
                    <div class="divTbgTitle">教室管理</div>
                </div>
            </div>
            <div class="divTbgF"></div>
            <div class="divTNavBG" id="topURL">
                <ul id="topURLul">
                    <li class="divURLed" id="div1">
                        <div>
                            <img src="../style/green/images/mini_icons_046.gif" width="10" height="10" />
                            基本信息</div>
                    </li>
                </ul>
            </div>
            <div id="mypanel">
                <div id="ddiv1">
                    <div class="divInfo">
                        <div class="divInfoblack">
                            <div class="divInfoTopList">
                                <div class="listLeft">
                                    <div class="navtitle">
                                        基本信息
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="divInfo">
                        <table width="100%" border="0" align="center" cellpadding="0" cellspacing="1" class="tablist">
                            <tr class="tablisttr">
                                <td width="100" align="center" class="tablisttitle">教室编号 </td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtID" runat="server" Width="200px" ReadOnly="True"></asp:TextBox>
                                    (不用填) </td>
                                <td width="100" align="center" class="tablisttitle">教室名称<span class="fStar">*</span></td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtRoomName" runat="server" CssClass="1" ToolTip="教室名称" Width="200px"></asp:TextBox>
                                </td>
                            </tr>
                            <tr class="tablisttr">
                                <td align="center" class="tablisttitle" width="100">隶属校区<span class="fStar">*</span></td>
                                <td class="tabmanagertr">
                                    <asp:DropDownList ID="drpAID" runat="server" Width="200px" AutoPostBack="True" OnSelectedIndexChanged="drpAID_SelectedIndexChanged"  CssClass="1" ToolTip="隶属校区"></asp:DropDownList>
                                </td>
                                <td align="center" class="tablisttitle" width="100">显示顺序 </td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtShowID" runat="server" CssClass="2" ToolTip="显示顺序" Width="200px">1</asp:TextBox>
                                </td>
                            </tr>
                            <tr class="tablisttr">
                                <td align="center" class="tablisttitle" width="100">隶属教学楼<span class="fStar">*</span></td>
                                <td class="tabmanagertr">
                                    <asp:DropDownList ID="drpTeachingBuilding" runat="server" Width="200px" AutoPostBack="True" ToolTip="隶属教学楼"
                                         OnSelectedIndexChanged="drpTeachingBuilding_SelectedIndexChanged" CssClass="1">
                                            
                                        </asp:DropDownList></td>
                                <td align="center" class="tablisttitle" width="100">隶属楼层<span class="fStar">*</span></td>
                                <td class="tabmanagertr">
                                      <asp:DropDownList ID="drpBNumber" runat="server" Width="200px"  CssClass="1" ToolTip="隶属楼层">
                                            
                                        </asp:DropDownList></td>
                            </tr>
                            <tr class="tablisttr">
                                <td align="center" class="tablisttitle" width="100">教室类型<span class="fStar">*</span></td>
                                <td class="tabmanagertr">
                                    <asp:DropDownList ID="drpRoomType" runat="server" Width="200px"   CssClass="1" ToolTip="教室类型">
                                        <asp:ListItem Value="RoomType">code</asp:ListItem>
                                    </asp:DropDownList></td>
                                <td align="center" class="tablisttitle" width="100">教室容量<span class="fStar">*</span></td>
                                <td class="tabmanagertr">
                                    <asp:TextBox ID="txtRoomCapacity" runat="server" CssClass="2" ToolTip="教室容量"
                                        Width="200px">50</asp:TextBox>
                                </td>
                            </tr>
                            <tr class="tablisttr">
                                <td align="center" class="tablisttitle" width="100">备注说明</td>
                                <td class="tabmanagertr" colspan="3">
                                    <asp:TextBox ID="txtRoomInfo" runat="server"
                                        Height="200px" TextMode="MultiLine" Width="100%"></asp:TextBox>
                                </td>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>
            <div class="divSave">
                <asp:Button ID="btnSubmit" runat="server" Text="保存(S)" CssClass="SkyButtonFocus"
                    OnClick="btnSubmit_Click" AccessKey="S" CommandName="save"></asp:Button>
                <asp:Button ID="btnSubmitClose" runat="server" CommandName="saveclose" CssClass="SkyButtonFocus"
                    OnClick="btnSubmit_Click" Text="取消(C)" />
            </div>
        </div>

    </form>
</body>
</html>
