﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="scoresearchv3.aspx.cs" Inherits="Us.Web.admin.score.scoresearchv3" %>


<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="webdiyer" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>学生成绩查询</title>
    <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE8,chrome=1" />
    <link href="../style/default/style.css" rel="stylesheet" type="text/css" />
    <%=ImportScriptStr %>

     <script language="javascript" type="text/javascript">
         $(document).ready(function () {
             $(".fontblue1").each(function () {
                 var v = $(this).html();
                 //alert(v);
                 if (v != "正常") {
                     $(this).parent().parent().css('background-color', '#D4E7F0');
                 }
             });
         });
    </script>
</head>
<body>
    <form id="Form1" method="post" runat="server">
        <div class="divTbg">
            <div class="divTbgL">
            </div>
            <div class="divTbgInfo">
                <div class="divTbgTitle">
                    学生成绩查询
                </div>
            </div>
        </div>
        <div class="divTbgF">
        </div>
        <div class="divSearchBoth">
            <div class="divInfo">
                <div class="divInfoblack">
                    <div class="divInfoTopList">
                        <div class="listLeft">
                            <div class="navsearchtitle">
                                学生成绩搜索
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="divInfo">
                <div class="divSearch">
                    <div id="searchBox" class="clearsearch">
                        <p style="display: none">
                            <label for="drpSTableName">
                                缴费表名：</label>
                            <asp:DropDownList runat="server" ID="drpSTableName">
                                <asp:ListItem Value="STableName" Text="codeno"></asp:ListItem>
                            </asp:DropDownList>
                        </p>



                        <p>
                            <label for="drpSkyDID">
                                开课院系：</label>
                            <asp:DropDownList ID="drpSkyDID" runat="server" AutoPostBack="True" OnSelectedIndexChanged="drpSkyDID_SelectedIndexChanged">
                            </asp:DropDownList>
                        </p>

                        <p>
                            <label for="drpSkyCID">
                                开课班级：</label><asp:DropDownList ID="drpSkyCID" runat="server">
                                </asp:DropDownList>
                        </p>

                        <p>
                            <label for="drpSkyTID">
                                开课学期：</label>
                            <asp:DropDownList ID="drpSkyTID" runat="server">
                            </asp:DropDownList>
                        </p>
                        <p>
                            <label for="drpResultsIsMakeUp">
                                是否补考：</label>
                            <asp:DropDownList ID="drpResultsIsMakeUp" runat="server">
                                <asp:ListItem Value="SysIsSelect">code</asp:ListItem>
                            </asp:DropDownList>
                        </p>
                        <p>
                            <label for="drpResultsType">
                                成绩状态：</label>
                            <asp:DropDownList ID="drpResultsType" runat="server">
                                <asp:ListItem Value="ResultsType">code</asp:ListItem>
                            </asp:DropDownList>
                        </p>
                        <p>
                            <label for="txtUserID">
                                学生学号：</label>
                            <asp:TextBox runat="server" ID="txtUserID"></asp:TextBox>
                        </p>
                        <p>
                            <label for="txtCourseName">
                                课程名称：</label>
                            <asp:TextBox runat="server" ID="txtCourseName"></asp:TextBox>
                        </p>
                        <p>
                            <label for="txtUserName">
                                开课教师：</label>
                            <asp:TextBox runat="server" ID="txtUserName"></asp:TextBox>
                        </p>



                        <p id="searchSubmit">
                            <asp:Button ID="btnSearch" runat="server" OnClick="btnSearch_Click" Text="确认搜索" CssClass="SkyButtonFocus" />
                        </p>
                    </div>
                </div>
            </div>
        </div>
        <div class="divInfo">
            <div class="divInfoblack">
                <div class="divInfoTopList">
                    <div class="listLeft">
                        <div class="navtitle">
                            学生成绩列表
                        </div>
                    </div>
                    <div class="listRight">
                        <ul>
                            <li class="navstyle1">
                                <input type="checkbox" name="chkselect" id="chkselect" onclick="skySelectCheckList();" />
                                <label for="chkselect">
                                    全选</label>
                            </li>
                            <li class="navstyle2">
                                <asp:LinkButton ID="LnkBAdd" runat="server" OnClick="SkyLnkBAMD_Click" Enabled="false">添加</asp:LinkButton>
                            </li>
                            <li class="navstyle3">
                                <asp:LinkButton ID="LnkBEdit" runat="server" OnClick="SkyLnkBAMD_Click" Enabled="false">编辑</asp:LinkButton>
                            </li>
                            <li class="navstyle4">
                                <asp:LinkButton ID="LnkBDelete" runat="server" OnClick="SkyLnkBAMD_Click" Enabled="false">删除</asp:LinkButton>
                            </li>
                            <li class="navstyle5">
                                <asp:LinkButton ID="LnkBExcel" runat="server" OnClick="SkyLnkBAMD_Click">导出</asp:LinkButton>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <div class="divInfo">
            <div class="divInfoContext">
                <div id="printInfo">
                    <asp:Repeater runat="server" ID="rptInfo">
                        <HeaderTemplate>
                            <table width="100%" border="0" cellpadding="0" cellspacing="1" class="tablist" onmouseover="changeto()" onmouseout="changeback()">
                                <tr class="tablisttitle">
                                    <td width="4%">序号
                                    </td>
                                    <td width="4%">
                                        <%=cHTMLFx%>
                                    </td>
                                   
                                    <td>课程名称</td>
                                    <td>课程学时</td>
                                    <td>开课教师</td>
                                    <td>学生学号</td>
                                    <td>学生名称</td>
                                    <td>平时成绩</td>
                                    <td>作业成绩</td>
                                    <td>期中成绩</td>
                                    <td>期末成绩</td>
                                    <td>综合成绩</td>
                                    <td>是否补考</td>
                                    <td>补考成绩</td>
                                    <td>成绩状态</td>
                                    <td>清考成绩</td>
                                </tr>
                        </HeaderTemplate>
                        <ItemTemplate>
                            <tr class="tablisttr">
                                <td>
                                    <%#Eval("ID") %>
                                </td>
                                <td>
                                    <asp:CheckBox runat="server" ID="chkselect" ToolTip='<%#Eval("ID") %>' />
                                </td>
                               
                                <td>
                                    <%#Eval("CourseName")%>
                                </td>
                                <td>
                                    <%#Eval("CourseHoursName")%>
                                </td>
                                <td>
                                   
                                       <%#UsToolArtUrl("/admin/teacher/tjhxteachermanage.aspx" +"?userid="+Eval("Tuserid").ToString(), ""+Eval("TUserName").ToString()+"",pDefault.sSize)%>
                                </td>
                                <td>
                                    <%#Eval("UserID")%>
                                </td>
                                <td>
                                    <%#Eval("UserName")%>
                                </td>

                                <td> <span class='<%#Convert.ToInt32(Eval("ResultsPS"))<60?"fontred":""%>'>
                                    <%#Eval("ResultsPS")%></span>
                                </td>

                                <td><span class='<%#Convert.ToInt32(Eval("ResultsZY"))<60?"fontred":""%>'>
                                    <%#Eval("ResultsZY")%></span>
                                </td>
                                <td><span class='<%#Convert.ToInt32(Eval("ResultsQZ"))<60?"fontred":""%>'>
                                    <%#Eval("ResultsQZ")%></span>
                                </td>
                                <td><span class='<%#Convert.ToInt32(Eval("ResultsQM"))<60?"fontred":""%>'>
                                    <%#Eval("ResultsQM")%></span>
                                </td>
                                <td><span class='<%#Convert.ToInt32(Eval("ResultsZH"))<60?"fontred":""%>'>
                                    <%#Eval("ResultsZH")%></span>
                                </td>
                                <td> <span class='<%#Eval("ResultsIsMakeup").ToString()=="0"?"fontblue":"fontred"%>'>
                                    <%#Eval("ResultsIsMakeupName")%></span>
                                </td>
                                <td><span class='<%#Eval("ResultsIsMakeup").ToString()=="0"?"nodisplay":"fontred"%>'>
                                    <%#Eval("ResultsMakeup")%></span>
                                </td>
                               
                                <td>
                                      <span class='fontblue1'><%#Eval("ResultsTypeName")%></span>
                                   
                                </td>

                                 <td><span class='<%#Eval("ResultsType").ToString()!="4"?"nodisplay":"fontred"%>'>
                                    <%#Eval("ResultsGraduation")%></span>
                                </td>



                            </tr>
                        </ItemTemplate>
                        <FooterTemplate>
                            </table>
                        </FooterTemplate>
                    </asp:Repeater>

                </div>
            </div>

            <div class="divInfoColor">
                <webdiyer:AspNetPager ID="Pager" runat="server" AlwaysShow="True" OnPageChanged="Pager_PageChanged"
                    ShowCustomInfoSection="Left" ShowPageIndexBox="Always" ShowPageIndex="False"
                    CustomInfoHTML="共 <B>%PageCount%</B> 页，当前为第 <B>%CurrentPageIndex%</B> 页，每页 <B>%PageSize%</B> 条"
                    SubmitButtonText="" FirstPageText="首页" LastPageText="尾页"
                    LayoutType="Table" NextPageText="后一页" PrevPageText="前一页" ShowMoreButtons="False"
                    TextAfterPageIndexBox="页" TextBeforePageIndexBox="转到"
                    CustomInfoTextAlign="Left" HorizontalAlign="Right">
                </webdiyer:AspNetPager>
            </div>
    </form>
</body>
</html>
