﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="scorestudentsearch.aspx.cs"
    Inherits="Us.Web.admin.score.scorestudentsearch" %>


<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="webdiyer" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>成绩查询</title>
    <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE8,chrome=1" />

    <link href="../style/default/style.css" rel="stylesheet" type="text/css" />
    <%=ImportScriptStr %>

     <script language="javascript" type="text/javascript">
         $(document).ready(function () {
             $(".fontblue").each(function () {
                 var v = $(this).html();
                 if (v != "正常") {
                     $(this).parent().css('background-color', '#D4E7F0');
                 }
                 else {
                     $(this).parent().css('background-color', '#ffffff');
                 }
             }); 
         });
    </script>

</head>
<body>
    <form id="Form1" method="post" runat="server">

        <div class="divTbg">
            <div class="divTbgL">
            </div>
            <div class="divTbgInfo">
                <div class="divTbgTitle">
                    成绩查询
                </div>
            </div>
        </div>
        <div class="divTbgF">
        </div>
        <div class="divSearchBoth">
            <div class="divInfo">
                <div class="divInfoblack">
                    <div class="divInfoTopList">
                        <div class="listLeft">
                            <div class="navsearchtitle">成绩查询搜索</div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="divInfo">
                <div class="divSearch">
                    <div id="searchBox" class="clearsearch">
                        <div runat="server" id="isStudent">
                            <p>
                                <label for="drpSkyDID">
                                    开课院系：</label>
                                <asp:DropDownList ID="drpSkyDID" runat="server" AutoPostBack="True" OnSelectedIndexChanged="drpSkyDID_SelectedIndexChanged">
                                </asp:DropDownList>
                            </p>
                            <p>
                                <label for="drpSkyPID">
                                    开课专业：</label>
                                <asp:DropDownList ID="drpSkyPID" runat="server" AutoPostBack="True" OnSelectedIndexChanged="drpSkyPID_SelectedIndexChanged">
                                </asp:DropDownList>
                            </p>
                            <p>
                                <label for="drpSkyCID">
                                    开课班级：</label><asp:DropDownList ID="drpSkyCID" runat="server" AutoPostBack="True"
                                        OnSelectedIndexChanged="drpSkyCID_SelectedIndexChanged">
                                    </asp:DropDownList>
                            </p>
                            <p>
                                <label for="drpUserID">
                                    选择学生：</label><asp:DropDownList ID="drpUserID" runat="server" AutoPostBack="True"
                                        OnSelectedIndexChanged="drpUserID_SelectedIndexChanged">
                                    </asp:DropDownList>
                            </p>
                        </div>
                        <p>
                            <label for="drpSkyTID">
                                开课学期：</label>
                            <asp:DropDownList ID="drpSkyTID" runat="server" AutoPostBack="True"
                                OnSelectedIndexChanged="drpSkyTID_SelectedIndexChanged">
                            </asp:DropDownList>
                        </p>
                        <p>
                            <label for="txtUserID">
                                学生学号：</label>
                            <asp:TextBox ID="txtUserID" runat="server" Text="0"></asp:TextBox>
                        </p>

                        <p>
                            <label for="drpResultsIsMakeUp">
                                是否补考：</label>
                            <asp:DropDownList ID="drpResultsIsMakeUp" runat="server">
                                <asp:ListItem Value="SysIsSelect">code</asp:ListItem>
                            </asp:DropDownList>
                        </p>

                        <p>
                            <label for="drpResultsType">
                                成绩状态：</label>
                            <asp:DropDownList ID="drpResultsType" runat="server">
                                <asp:ListItem Value="ResultsType">code</asp:ListItem>
                            </asp:DropDownList>
                        </p>

                        <p id="searchSubmit">
                            <asp:Button ID="btnSearch" runat="server" CssClass="SkyButtonFocus" OnClick="btnSearch_Click"
                                Text="确认搜索" ToolTip="只能查询发布状态的成绩，如果成绩没有审核则录入了也不能查询到" />
                        </p>
                    </div>
                </div>
            </div>
        </div>
        <div class="divInfo">
            <div class="divInfoblack">
                <div class="divInfoTopList">
                    <div class="listLeft">
                        <div class="navtitle">成绩查询列表</div>
                    </div>
                    <div class="listRight">
                        <ul>
                            <li class="navstyle1">
                                <input type="checkbox" name="chkselect" id="chkselect" onclick="skySelectCheckList();" />
                                <label for="chkselect">全选</label>
                            </li>
                            <li class="navstyle2">
                                <asp:LinkButton ID="LnkBAdd" runat="server" OnClick="SkyLnkBAMD_Click" Enabled="false">添加</asp:LinkButton>
                            </li>
                            <li class="navstyle3">
                                <asp:LinkButton ID="LnkBEdit" runat="server" OnClick="SkyLnkBAMD_Click" Enabled="false">编辑</asp:LinkButton>
                            </li>
                            <li class="navstyle4">
                                <asp:LinkButton ID="LnkBDelete" runat="server" OnClick="SkyLnkBAMD_Click" Enabled="false">删除</asp:LinkButton>
                            </li>
                            <li class="navstyle5">
                                <asp:LinkButton ID="LnkBExcel" runat="server" OnClick="SkyLnkBAMD_Click">导出</asp:LinkButton>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>

        <div class="divInfo">
            <div style="font: 2px; line-height: 2px;">
                &nbsp;
            </div>
            <asp:GridView ID="gvInfo" runat="server" AutoGenerateColumns="False" BorderStyle="None"
                CellPadding="0" CellSpacing="1" GridLines="None" Width="100%" CssClass="tablist"
                HorizontalAlign="Center" OnRowDataBound="gvInfo_RowDataBound">
                <RowStyle CssClass="tablisttr" HorizontalAlign="Center" />
                <HeaderStyle HorizontalAlign="Center" CssClass="tablisttitle"></HeaderStyle>
                <Columns>
                    <asp:BoundField DataField="id" HeaderText="序号" />
                    <asp:BoundField DataField="SkyTName" HeaderText="学期" />
                    <asp:BoundField HeaderText="课程名称" DataField="CourseName" />
                    
                    <asp:BoundField HeaderText="学生学号" DataField="UserID" />
                    <asp:BoundField HeaderText="学生名称" DataField="UserName" />
                    <asp:TemplateField HeaderText="开课教师">
                        <ItemTemplate>
                           <%#UsToolArtUrl("/admin/teacher/tjhxteachermanage.aspx" +"?userid="+Eval("tuserid").ToString(), ""+Eval("tUserName").ToString()+"",pDefault.sSize)%>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:BoundField HeaderText="平时成绩" DataField="ResultsPS"  />
                    <%--Visible="false"--%>
                    <asp:BoundField HeaderText="作业成绩" DataField="ResultsZY"   />
                    <asp:BoundField HeaderText="期中成绩" DataField="ResultsQZ"   />
                    <asp:BoundField HeaderText="期末成绩" DataField="ResultsQM"  />
                    <asp:BoundField HeaderText="综合成绩" DataField="ResultsZH" />
                    <asp:TemplateField HeaderText="是否补考">
                        <ItemTemplate>
                            <asp:CheckBox ID="chkIsMakeup" runat="server" Text="补考" Enabled="false" />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:BoundField HeaderText="补考成绩" DataField="ResultsMakeup" />
                     <asp:BoundField HeaderText="成绩状态" DataField="ResultsTypeName"  ItemStyle-CssClass="fontblue"/>
                    
                    
                    <asp:TemplateField AccessibleHeaderText="毕业成绩">
                         <HeaderTemplate><%=sBKMCName%></HeaderTemplate>
                        <ItemTemplate>
                           <asp:Literal runat="server" Text='<%#Eval("ResultsGraduation") %>' Visible='<%#Eval("ResultsType").ToString()=="4"?true:false %>'></asp:Literal>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:BoundField HeaderText="等级" DataField="ResultsZH" />
                   
                    <asp:BoundField HeaderText="课程学时" DataField="CourseHoursName" />
                </Columns>
            </asp:GridView>
        </div>
        <div class="divInfoColor">
             
                        <webdiyer:AspNetPager ID="Pager" runat="server" AlwaysShow="True" OnPageChanged="Pager_PageChanged"
                            ShowCustomInfoSection="Left" ShowPageIndexBox="Always" ShowPageIndex="False"
                            CustomInfoHTML="共 <B>%PageCount%</B> 页，当前为第 <B>%CurrentPageIndex%</B> 页，每页 <B>%PageSize%</B> 条"
                            SubmitButtonText="" FirstPageText="首页" LastPageText="尾页" LayoutType="Table" NextPageText="后一页"
                            PrevPageText="前一页" ShowMoreButtons="False" TextAfterPageIndexBox="页" TextBeforePageIndexBox="转到"
                            CustomInfoTextAlign="Left" HorizontalAlign="Right">
                        </webdiyer:AspNetPager>
                   
        </div>

        <asp:Literal ID="LiteralScript" runat="server" EnableViewState="False"></asp:Literal>

    </form>
</body>
</html>
