﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="defaultcourselist.aspx.cs" Inherits="Us.Web.admin.v3basic.defaultcourselist" %>

<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="webdiyer" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE8,chrome=1" />
    <title>默认课程</title>
    <link href="../style/default/style.css" rel="stylesheet" type="text/css" />
    <%=ImportScriptStr %>
</head>
<body>
    <form id="Form1" method="post" runat="server">
        <div class="divTbg">
            <div class="divTbgL"></div>
            <div class="divTbgInfo">
                <div class="divTbgTitle">默认课程管理</div>
            </div>
        </div>
        <div class="divTbgF"></div>
        <div class="divSearchBoth">
            <div class="divInfo">
                <div class="divInfoblack">
                    <div class="divInfoTopList">
                        <div class="listLeft">
                            <div class="navsearchtitle">
                                默认课程搜索
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="divInfo">
                <div class="divSearch">
                    <div id="searchBox" class="clearsearch">
                        <p>
                            <label for="txtCourseID">课程编号：</label><asp:TextBox ID="txtCourseID" runat="server" ToolTip="课程编号" Text=""></asp:TextBox></p>
                        <p>
                            <label for="txtCourseName">课程名称：</label><asp:TextBox ID="txtCourseName" runat="server" ToolTip="课程名称" Text=""></asp:TextBox></p>
                        <p>
                            <label for="drpCourseType">课程类型：</label><asp:DropDownList runat="server" ID="drpCourseType" ToolTip="课程类型">
                                <asp:ListItem Value="CourseType" Text="code"></asp:ListItem>
                            </asp:DropDownList>
                        </p>
                        <p>
                            <label for="drpCourseSType">学习类型：</label><asp:DropDownList runat="server" ID="drpCourseSType" ToolTip="学习类型">
                                <asp:ListItem Value="CourseSType" Text="code"></asp:ListItem>
                            </asp:DropDownList>
                        </p>
                        <%-- <p>
                            <label for="drpCourseEType">考试类型：</label> <asp:DropDownList runat="server" ID="drpCourseEType" ToolTip="考试类型">
                                        <asp:ListItem Value="CourseEType" Text="code"></asp:ListItem>
                                    </asp:DropDownList>
                        </p>--%>
                        
                        <p>
                            <label for="drpRoomType">教室要求：</label><asp:DropDownList runat="server" ID="drpRoomType" ToolTip="教室要求">
                                <asp:ListItem Value="RoomType" Text="code"></asp:ListItem>
                            </asp:DropDownList>
                        </p>



                        <p>
                            <asp:Button ID="btnSearch" runat="server" OnClick="btnSearch_Click" Text="确认搜索" CssClass="SkyButtonFocus" />
                        </p>
                    </div>
                </div>
            </div>
        </div>
        <div class="divInfo">
            <div class="divInfoblack">
                <div class="divInfoTopList">
                    <div class="listLeft">
                        <div class="navtitle">
                            默认课程详细列表
                        </div>
                    </div>
                    <div class="listRight">
                        <ul>
                            <li class="navstyle1">
                                <input type="checkbox" name="chkselect" id="chkselect" onclick="skySelectCheckList();" />
                                <label for="chkselect">全选</label>
                            </li>
                            <li class="navstyle2">
                                <asp:LinkButton ID="LnkBAdd" runat="server" OnClick="SkyLnkBAMD_Click">添加</asp:LinkButton>
                            </li>
                            <li class="navstyle3">
                                <asp:LinkButton ID="LnkBEdit" runat="server" OnClick="SkyLnkBAMD_Click">编辑</asp:LinkButton>
                            </li>
                            <li class="navstyle4">
                                <asp:LinkButton ID="LnkBDelete" runat="server" OnClick="SkyLnkBAMD_Click">删除</asp:LinkButton>
                            </li>
                            <li class="navstyle5">
                                <asp:LinkButton ID="LnkBExcel" runat="server" OnClick="SkyLnkBAMD_Click">导出</asp:LinkButton>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <div class="divInfo">
            <div class="divInfoContext">
                <asp:Repeater runat="server" ID="rptInfo">
                    <HeaderTemplate>
                        <table width="100%" border="0" cellpadding="0" cellspacing="1" class="tablist" onmouseover="changeto()" onmouseout="changeback()">
                            <tr class="tablisttitle">

                                <td>序号</td>
                                <td width="4%"><%=cHTMLFx%></td>
                                <td>课程编号</td>
                                <td>课程名称</td>
                                <td>课程代码</td>
                                
                                <td>课程类型</td>
                                <td>学习类型</td>
                               
                                <td>课程学时</td>
                                <td>课程学分</td>
                                <td>教室要求</td>
                                <td>建立时间</td>
                                <td>操作</td>
                            </tr>
                    </HeaderTemplate>
                    <ItemTemplate>
                        <tr class="tablisttr">
                            <td><%#Eval("ID")%></td>
                            <td>
                                <asp:CheckBox runat="server" ID="chkselect" ToolTip='<%#Eval("ID") %>' /></td>

                            <td><%#Eval("CourseID")%></td>
                            <td><%#Eval("CourseName")%></td>

                             <td><span class="fontblue"><%#Eval("CCode")%></span></td>

                            <td><%#Eval("CourseTypeName")%></td>
                            <td><%#Eval("CourseSTypeName")%></td>
                             
                            <td><%#Eval("CourseHours")%></td>
                            <td><%#Eval("CourseCreditName")%></td>
                            <td><%#Eval("RoomTypeName")%></td>
                            <td><%#UsToolsDateFormat(Eval("CreateDate"))%></td>
                            <td><%#UsToolArtUrl(pDefault.sEditUrl +"?id="+Eval("ID").ToString(), "[修改]",pDefault.sSize)%></td>
                        </tr>
                    </ItemTemplate>
                    <FooterTemplate>
                        </table>
                    </FooterTemplate>
                </asp:Repeater>
            </div>
        </div>
        <div class="divInfoColor">
            <webdiyer:AspNetPager ID="Pager" runat="server" AlwaysShow="True" OnPageChanged="Pager_PageChanged"
                ShowCustomInfoSection="Left" ShowPageIndexBox="Always" ShowPageIndex="False"
                CustomInfoHTML="共 <B>%PageCount%</B> 页，当前为第 <B>%CurrentPageIndex%</B> 页，每页 <B>%PageSize%</B> 条"
                SubmitButtonText="" FirstPageText="首页" LastPageText="尾页"
                LayoutType="Table" NextPageText="后一页" PrevPageText="前一页" ShowMoreButtons="False"
                TextAfterPageIndexBox="页" TextBeforePageIndexBox="转到"
                CustomInfoTextAlign="Left" HorizontalAlign="Right">
            </webdiyer:AspNetPager>
        </div>
        <div class="divInfo">
            <span class="usHelpMessage">* 注意事项： 可以通过EXCEL进行批量的导入导出默认课程,点击<a href="/admin/export/exportdefaultcourse.aspx">[进入]</a> </span>
        </div>
    </form>
</body>
</html>
